// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Creates a DomDistiller, applies to to the content of the page, and returns
// a DomDistillerResults as a JavaScript object/dictionary.
(function(options) {
  try {
    // The generated domdistiller.js accesses the window object only explicitly
    // via the window name. This creates a new object with the normal window
    // object as its prototype and initialize the domdistiller.js with that new
    // context so that it does not change the real window object.
    function initialize(window) {
      (function () {var $gwt_version = "2.7.0";var $wnd = window; /* our linker */var $doc = $wnd.document;var $moduleName, $moduleBase;var $stats = $wnd.__gwtStatsEvent ? function(a) {$wnd.__gwtStatsEvent(a)} : null;var $strongName = '2042AE47BC2A63EA7C898B1114863E0A';var aa=2147483647,ba={3:1,12:1},ca={3:1,15:1,12:1},da={3:1,4:1},ea={3:1,5:1,6:1,4:1},ga={10:1,18:1,3:1,11:1,8:1},h={3:1,5:1,14:1,6:1,4:1,13:1},ha={46:1},ka={25:1},la={3:1,31:1},ma={3:1,11:1,8:1,29:1},na={3:1,5:1,4:1},_,oa,pa={};function qa(){}function ra(a){function b(){}b.prototype=a||{};return new b}function k(){}
function m(a,b,c){var d=pa[a],e=d instanceof Array?d[0]:null;d&&!e?_=d:(_=pa[a]=b?ra(pa[b]):{},_.cM=c,_.constructor=_,!b&&(_.tM=qa));for(d=3;d<arguments.length;++d)arguments[d].prototype=_;e&&(_.cZ=e)}function sa(){}function ua(a,b){return va(a)?a===b:xa(a)?a.eQ(b):(ya(a),a===b)}function za(a){return va(a)?p:xa(a)?a.cZ:ya(a)?a.cZ:Fa}
function Ga(a){if(va(a)){Ha();var b=":"+a,c=Ia[b];if(null!=c)a=c;else{c=Na[b];if(null==c){var d,e,f;d=0;e=a.length;f=e-4;for(c=0;c<f;)d=a.charCodeAt(c+3)+31*(a.charCodeAt(c+2)+31*(a.charCodeAt(c+1)+31*(a.charCodeAt(c)+31*d))),d=~~d,c+=4;for(;c<e;)d*=31,f=c++,f=a.charCodeAt(f),d+=f;c=~~d}256==Qa&&(Na=Ia,Ia={},Qa=0);++Qa;a=Ia[b]=c}}else a=xa(a)?a.hC():(ya(a),a.$H||(a.$H=++Ra));return a}m(1,null,{},sa);_.eQ=function(a){return this===a};_.gC=function(){return this.cZ};
_.hC=function(){return this.$H||(this.$H=++Ra)};_.tS=function(){var a=Sa(za(this))+"@",b;b=(Ga(this)>>>0).toString(16);return a+b};_.toString=function(){return this.tS()};Ta={3:1,220:1,11:1,2:1};!Array.isArray&&(Array.isArray=function(a){return"[object Array]"===Object.prototype.toString.call(a)});function Ua(a){return a.toString?a.toString():"[JavaScriptObject]"}function xa(a){return!Array.isArray(a)&&a.tM===qa}function r(a,b){return null!=a&&(va(a)&&!!Ta[b]||a.cM&&!!a.cM[b])}
function ya(a){return Array.isArray(a)&&a.tM===qa}function va(a){return"string"===typeof a}function s(a){return null==a?null:a}function Va(a){return~~Math.max(Math.min(a,aa),-2147483648)}var Ta;function Wa(a){if(null==a.n)if(a.B()){var b=a.c;b.C()?a.n="["+b.k:b.B()?a.n="["+b.w():a.n="[L"+b.w()+";";a.b=b.v()+"[]";a.j=b.A()+"[]"}else{var b=a.g,c=a.d,c=c.split("/");a.n=Xa(".",[b,Xa("$",c)]);a.b=Xa(".",[b,Xa(".",c)]);a.j=c[c.length-1]}}function Sa(a){Wa(a);return a.n}function fb(a){Wa(a);return a.j}
function gb(){this.i=hb++;this.a=this.k=this.b=this.d=this.g=this.j=this.n=null}function ib(a){var b;b=new gb;b.n="Class$"+(a?"S"+a:""+b.i);b.b=b.n;b.j=b.n;return b}function t(a){var b;b=ib(a);jb(a,b);return b}function u(a,b){var c;c=ib(a);jb(a,c);c.f=b?8:0;c.e=b;return c}function kb(){var a;a=ib(null);a.f=2;return a}function w(a,b){var c=a.a=a.a||[];return c[b]||(c[b]=a.u(b))}function Xa(a,b){for(var c=0;!b[c]||""==b[c];)c++;for(var d=b[c++];c<b.length;c++)b[c]&&""!=b[c]&&(d+=a+b[c]);return d}
function jb(a,b){if(a){b.k=a;var c=b.C()?null:pa[b.k];c?c.cZ=b:pa[a]=[b]}}m(76,1,{},gb);_.u=function(a){var b;b=new gb;b.f=4;1<a?b.c=w(this,a-1):b.c=this;return b};_.v=function(){Wa(this);return this.b};_.w=function(){return Sa(this)};_.A=function(){return fb(this)};_.B=function(){return 0!=(this.f&4)};_.C=function(){return 0!=(this.f&1)};_.tS=function(){return(0!=(this.f&2)?"interface ":0!=(this.f&1)?"":"class ")+(Wa(this),this.n)};_.f=0;_.i=0;var hb=1,Wb=t(1),Fa=t(0);t(76);m(12,1,ba);_.q=function(){return this.e};
_.tS=function(){var a,b;a=Sa(this.cZ);b=this.q();return null!=b?a+": "+b:a};t(12);function Zb(a){this.e=a;$b(this,this.e)}m(15,12,ca,Zb);t(15);m(19,15,ca);t(19);m(101,19,ca);t(101);function ac(){ac=k;bc=new sa}function cc(a){ac();this.e=null;this.a="";this.b=a;this.a=""}m(39,101,{39:1,3:1,15:1,12:1},cc);
_.q=function(){var a;null==this.c&&(a=s(this.b)===s(bc)?null:this.b,this.d=null==a?"null":null==a||va(a)||a.tM===qa?va(a)?"String":Sa(za(a)):null==a?null:a.name,this.a=this.a+": "+(null==a||va(a)||a.tM===qa?a+"":null==a?null:a.message),this.c="("+this.d+") "+this.a);return this.c};_.r=function(){return s(this.b)===s(bc)?null:this.b};var bc;t(39);m(196,1,{});t(196);function dc(a){$wnd.setTimeout(function(){throw a;},0)}function ec(){0!=fc&&(fc=0);gc=-1}var fc=0,Ra=0,hc=0,gc=-1;
function ic(){ic=k;jc=new tc}function tc(){}function Bc(a,b){var c,d,e;d=0;for(e=a.length;d<e;d++){c=a[d];try{if(c[1]){if(c[0].Ib()){var f=b;!f&&(f=[]);f[f.length]=c;b=f}}else c[0].Ib()}catch(g){if(g=Cc(g),r(g,12))c=g,dc(r(c,39)?c.r():c);else throw Dc(g);}}return b}m(145,196,{},tc);var jc;t(145);function Ec(){Ec=k;var a,b;b=!(Error.stackTraceLimit||"stack"in Error());a=new Fc;Gc=b?new Hc:a}function $b(a,b){Ec();Gc.s(a,b)}var Gc;m(208,1,{});t(208);function Hc(){}m(111,208,{},Hc);
_.s=function(a,b){var c={};a.fnStack=[];for(var d=arguments.callee.caller;d;){Ec();var e;if(!(e=d.name)){e=d;var f=/function(?:\s+([\w$]+))?\s*\(/.exec(d.toString());e=e.name=f&&f[1]||"anonymous"}a.fnStack.push(e);e=":"+e;if(f=c[e]){var g,l;g=0;for(l=f.length;g<l;g++)if(f[g]===d)return}(f||(c[e]=[])).push(d);d=d.caller}};t(111);function Ic(){Ic=k;Error.stackTraceLimit=64}m(209,208,{});
_.s=function(a,b){function c(a){if(!("stack"in a))try{throw a;}catch(b){}return a}var d;"string"==typeof b?d=c(Error(b)):b instanceof Object&&"stack"in b?d=b:d=c(Error());a.__gwt$backingJsError=d};t(209);function Fc(){Ic()}m(112,209,{},Fc);t(112);function Jc(a,b){if(!a)throw new Kc(""+b);}function y(a){if(!a)throw new Lc;}function z(a,b){if(0>a||a>=b)throw new Mc("Index: "+a+", Size: "+b);}function Nc(a){if(null==a)throw new Oc;}
function Pc(a,b){if(0>a||a>b)throw new Mc("Index: "+a+", Size: "+b);}function Qc(a,b){var c,d,e,f;a=""+a;c=new Rc;for(d=f=0;d<b.length;){e=a.indexOf("%s",f);if(-1==e)break;f=a.substr(f,e-f);c.a+=f;f=b[d++];c.a+=f;f=e+2}e=a.substr(f,a.length-f);c.a+=e;if(d<b.length){c.a+=" [";e=b[d++];for(c.a+=e;d<b.length;)c.a+=", ",e=b[d++],c.a+=e;c.a+="]"}return c.a}function Sc(a,b){return null==a[b]?null:String(a[b])}function A(a,b){return a.getAttribute(b)||""}
function B(a){(a=a.parentNode)&&1==a.nodeType||(a=null);return a}function C(a,b){this.a=a;this.b=b}m(8,1,{3:1,11:1,8:1});_.t=function(a){return this.b-a.b};_.eQ=function(a){return this===a};_.hC=function(){return this.$H||(this.$H=++Ra)};_.tS=function(){return null!=this.a?this.a:""+this.b};_.b=0;t(8);
function Tc(){Tc=k;bd=new ed;md=new td;ud=new vd;wd=new xd;yd=new zd;Ad=new Bd;Cd=new Dd;Ed=new Fd;Gd=new Hd;Id=new Jd;Kd=new Ld;Md=new Nd;Od=new Pd;Qd=new Rd;Sd=new Td;je=new re;ye=new Be;Ce=new De}function Ee(){Tc();return D(w(Fe,1),ea,10,0,[bd,md,ud,wd,yd,Ad,Cd,Ed,Gd,Id,Kd,Md,Od,Qd,Sd,je,ye,Ce])}m(10,8,ga);var md,ye,ud,bd,Ad,je,yd,Cd,Ed,Gd,wd,Ce,Id,Kd,Md,Qd,Sd,Od,Fe=u(10,Ee);function ed(){C.call(this,"DEFAULT",0)}m(160,10,ga,ed);u(160,null);function Jd(){C.call(this,"SE_RESIZE",9)}
m(169,10,ga,Jd);u(169,null);function Ld(){C.call(this,"SW_RESIZE",10)}m(170,10,ga,Ld);u(170,null);function Nd(){C.call(this,"S_RESIZE",11)}m(171,10,ga,Nd);u(171,null);function Pd(){C.call(this,"W_RESIZE",12)}m(172,10,ga,Pd);u(172,null);function Rd(){C.call(this,"TEXT",13)}m(173,10,ga,Rd);u(173,null);function Td(){C.call(this,"WAIT",14)}m(174,10,ga,Td);u(174,null);function re(){C.call(this,"HELP",15)}m(175,10,ga,re);u(175,null);function Be(){C.call(this,"COL_RESIZE",16)}m(176,10,ga,Be);u(176,null);
function De(){C.call(this,"ROW_RESIZE",17)}m(177,10,ga,De);u(177,null);function td(){C.call(this,"AUTO",1)}m(161,10,ga,td);u(161,null);function vd(){C.call(this,"CROSSHAIR",2)}m(162,10,ga,vd);u(162,null);function xd(){C.call(this,"POINTER",3)}m(163,10,ga,xd);u(163,null);function zd(){C.call(this,"MOVE",4)}m(164,10,ga,zd);u(164,null);function Bd(){C.call(this,"E_RESIZE",5)}m(165,10,ga,Bd);u(165,null);function Dd(){C.call(this,"NE_RESIZE",6)}m(166,10,ga,Dd);u(166,null);
function Fd(){C.call(this,"NW_RESIZE",7)}m(167,10,ga,Fd);u(167,null);function Hd(){C.call(this,"N_RESIZE",8)}m(168,10,ga,Hd);u(168,null);function Ge(){Ge=k;var a=Ee(),b,c,d,e;b={};d=0;for(e=a.length;d<e;++d)c=a[d],b[":"+(null!=c.a?c.a:""+c.b)]=c;He=b}var He;function Ie(a,b){var c;c=a.slice(0,b);D(za(a),a.cM,a.__elementTypeId$,a.__elementTypeCategory$,c);return c}function Je(a,b){var c;c=Ke(0,b);D(za(a),a.cM,a.__elementTypeId$,a.__elementTypeCategory$,c);return c}
function E(a,b,c,d,e){d=Ke(e,d);D(w(a,1),b,c,e,d);return d}function Le(a){return Me(p,[na,h],[13,2],4,a,0,2)}function Me(a,b,c,d,e,f,g){var l,n,q,v;q=e[f];l=(n=f==g-1)?d:0;v=Ke(l,q);D(w(a,g-f),b[f],c[f],l,v);if(!n)for(++f,l=0;l<q;++l)v[l]=Me(a,b,c,d,e,f,g);return v}function D(a,b,c,d,e){e.cZ=a;e.cM=b;e.tM=qa;e.__elementTypeId$=c;e.__elementTypeCategory$=d;return e}
function Ke(a,b){var c=Array(b),d;switch(a){case 6:d={l:0,m:0,h:0};break;case 7:d=0;break;case 8:d=!1;break;default:return c}for(var e=0;e<b;++e)c[e]=d;return c}function Ne(a,b,c,d,e,f){a===c&&(a=a.slice(b,b+e),b=0);var g=b;for(b+=e;g<b;){var l=Math.min(g+1E4,b);e=l-g;Array.prototype.splice.apply(c,[d,f?e:0].concat(a.slice(g,l)));g=l;d+=e}}function Dc(a){return r(a,39)&&s(a.b)!==s((ac(),bc))?s(a.b)===s(bc)?null:a.b:a}
function Cc(a){var b;if(r(a,12))return a;b=a&&a.__gwt$exception;if(!b&&(b=new cc(a),$b(b,a),a&&"object"==typeof a))try{a.__gwt$exception=b}catch(c){}return b}function Oe(){var a;a=navigator.userAgent.toLowerCase();var b=$doc.documentMode;a=-1!=a.indexOf("webkit")?"safari":-1!=a.indexOf("msie")&&10<=b&&11>b?"ie10":-1!=a.indexOf("msie")&&9<=b&&11>b?"ie9":-1!=a.indexOf("msie")&&8<=b&&11>b?"ie8":-1!=a.indexOf("gecko")||11<=b?"gecko1_8":"unknown";if("safari"!==a)throw new Pe(a);}m(59,12,ba);t(59);
m(22,59,ba);t(22);function Pe(a){this.e=""+("Possible problem with your *.gwt.xml module file.\nThe compile time user.agent value (safari) does not match the runtime user.agent value ("+a+").\nExpect more errors.");$b(this,this.e)}m(100,22,ba,Pe);t(100);m(60,1,{});_.tS=function(){return this.a};t(60);function Qe(){$b(this,this.e)}function Mc(a){Zb.call(this,a)}m(30,19,ca,Qe,Mc);t(30);function Re(){$b(this,this.e)}m(180,30,ca,Re);t(180);function Kc(a){Zb.call(this,a)}m(36,19,ca,Kc);t(36);
function Se(){Se=k;Te=new Ue(!1);Ve=new Ue(!0)}function Ue(a){this.a=a}m(47,1,{3:1,47:1,11:1},Ue);_.t=function(a){var b=this.a;return b==a.a?0:b?1:-1};_.eQ=function(a){return r(a,47)&&a.a==this.a};_.hC=function(){return this.a?1231:1237};_.tS=function(){return""+this.a};_.a=!1;var Te,Ve;t(47);function We(a){this.a=a}m(37,1,{3:1,37:1,11:1},We);_.t=function(a){return this.a-a.a};_.eQ=function(a){return r(a,37)&&a.a==this.a};_.hC=function(){return this.a};_.tS=function(){return String.fromCharCode(this.a)};
_.a=0;var Xe=t(37);function Ye(){Ye=k;Ze=E(Xe,ea,37,128,0)}var Ze;m(75,1,{3:1,75:1});t(75);function $e(a){Zb.call(this,a)}m(23,19,{3:1,15:1,23:1,12:1},$e);t(23);function af(){$b(this,this.e)}m(181,19,ca,af);t(181);function bf(a){this.a=a}function cf(a){var b,c;return-129<a&&128>a?(b=a+128,c=(df(),ef)[b],!c&&(c=ef[b]=new bf(a)),c):new bf(a)}m(38,75,{3:1,11:1,38:1,75:1},bf);_.t=function(a){var b=this.a;a=a.a;return b<a?-1:b>a?1:0};_.eQ=function(a){return r(a,38)&&a.a==this.a};_.hC=function(){return this.a};
_.tS=function(){return""+this.a};_.a=0;var ff=t(38);function df(){df=k;ef=E(ff,ea,38,256,0)}var ef;function gf(a,b){return a<b?a:b}function Oc(){$b(this,this.e)}function hf(a){Zb.call(this,a)}m(53,19,ca,Oc,hf);t(53);function jf(a,b){var c;c=b.length;return a.substr(a.length-c,c)===b}function F(a,b){return null==b?!1:a==b?!0:a.length==b.length&&a.toLowerCase()==b.toLowerCase()}function of(a){return!a.length}
function qf(a,b,c){var d;65536<=b?(d=56320+(b-65536&1023)&65535,b=String.fromCharCode(55296+(b-65536>>10&1023)&65535)+String.fromCharCode(d)):b=String.fromCharCode(b&65535);return a.lastIndexOf(b,c)}function yf(a,b,c,d,e){if(null==c)throw new Oc;if(0>b||0>d||0>=e||b+e>a.length||d+e>c.length)return!1;a=a.substr(b,e);c=c.substr(d,e);return a===c}function zf(a){var b=(160).toString(16),b="\\u"+"0000".substring(b.length)+b;return a.replace(RegExp(b,"g"),String.fromCharCode(32))}
function Uf(a,b){var c;c=Vf("");return a.replace(RegExp(b,"g"),c)}function ig(a,b){var c;c=Vf("");return a.replace(RegExp(b),c)}
function lg(a,b){for(var c=RegExp(b,"g"),d=[],e=0,f=a,g=null;;){var l=c.exec(f);if(null==l||""==f){d[e]=f;break}else d[e]=f.substring(0,l.index),f=f.substring(l.index+l[0].length,f.length),c.lastIndex=0,g==f&&(d[e]=f.substring(0,1),f=f.substring(1)),g=f,e++}if(0<a.length){for(c=d.length;0<c&&""==d[c-1];)--c;c<d.length&&d.splice(c,d.length-c)}c=E(p,h,2,d.length,4);for(e=0;e<d.length;++e)c[e]=d[e];return c}function mg(a,b){return a.substr(0,b.length)===b}
function qg(a,b){return a.substr(b,a.length-b)}function rg(a,b,c){return a.substr(b,c-b)}function Qg(a){return 0==a.length||" "<a[0]&&" "<a[a.length-1]?a:a.replace(/^[\u0000-\u0020]*|[\u0000-\u0020]*$/g,"")}function Vf(a){var b;for(b=0;0<=(b=a.indexOf("\\",b));)36==a.charCodeAt(b+1)?a=a.substr(0,b)+"$"+qg(a,++b):a=a.substr(0,b)+qg(a,++b);return a}var p=t(2);function Ha(){Ha=k;Na={};Ia={}}var Na,Qa=0,Ia;function Rg(){this.a=""}function Rc(){this.a=""}function Sg(a){this.a=a}m(40,60,{220:1},Rg,Rc,Sg);
t(40);function Tg(a){Zb.call(this,a)}m(54,19,ca,Tg);t(54);function Ug(a,b){var c,d,e;Nc(b);c=!1;for(e=b.D();e.Q();)d=e.R(),c|=a.F(d);return c}function Vg(a){var b,c,d,e;e=new Sg("[");b=!1;for(d=a.D();d.Q();)c=d.R(),b?e.a+=", ":b=!0,e.a+=c===a?"(this Collection)":""+c;e.a+="]";return e.a}m(211,1,{});_.F=function(){throw new Tg("Add not supported on this collection");};_.G=function(a){return Ug(this,a)};
_.H=function(a){a:{var b,c;for(c=this.D();c.Q();)if(b=c.R(),s(a)===s(b)||null!=a&&ua(a,b)){a=!0;break a}a=!1}return a};_.I=function(){return 0==this.J()};_.K=function(){return this.L(E(Wb,da,1,this.J(),3))};_.L=function(a){var b,c,d;d=this.J();a.length<d&&(a=Je(a,d));c=this.D();for(b=0;b<d;++b)a[b]=c.R();a.length>d&&(a[d]=null);return a};_.tS=function(){return Vg(this)};t(211);function Wg(a,b){var c,d,e;c=b.W();e=b.X();d=a.P(c);return!(s(e)===s(d)||null!=e&&ua(e,d))||null==d&&!a.N(c)?!1:!0}
function Xg(a,b){var c,d,e;for(d=a.O().D();d.Q();)if(c=d.R(),e=c.W(),s(b)===s(e)||null!=b&&ua(b,e))return c;return null}function Yg(a,b){return b===a?"(this Map)":""+b}function Zg(a){return a?a.X():null}m(210,1,ha);_.M=function(a){return Wg(this,a)};_.N=function(a){return!!Xg(this,a)};_.eQ=function(a){var b;if(a===this)return!0;if(!r(a,46)||this.J()!=a.J())return!1;for(b=a.O().D();b.Q();)if(a=b.R(),!this.M(a))return!1;return!0};_.P=function(a){return Zg(Xg(this,a))};_.hC=function(){return $g(this.O())};
_.J=function(){return this.O().J()};_.tS=function(){var a,b,c,d;d=new Sg("{");a=!1;for(c=this.O().D();c.Q();)b=c.R(),a?d.a+=", ":a=!0,d.a+=Yg(this,b.W()),d.a+="\x3d",d.a+=Yg(this,b.X());d.a+="}";return d.a};t(210);function ah(a,b){return va(b)?G(a,b):!!bh(a.a,b)}function ch(a,b){return va(b)?K(a,b):Zg(bh(a.a,b))}function K(a,b){return null==b?Zg(bh(a.a,null)):a.c.eb(b)}function G(a,b){return null==b?!!bh(a.a,null):void 0!==a.c.eb(b)}function dh(a,b,c){return va(b)?L(a,b,c):eh(a.a,b,c)}
function L(a,b,c){return null==b?eh(a.a,null,c):a.c.hb(b,c)}function fh(a){gh();a.a=hh.bb();a.a.b=a;a.c=hh.cb();a.c.b=a;a.b=0;ih(a)}m(113,210,ha);_.N=function(a){return ah(this,a)};_.O=function(){return new jh(this)};_.P=function(a){return ch(this,a)};_.J=function(){return this.b};_.b=0;t(113);m(212,211,ka);_.eQ=function(a){if(a===this)a=!0;else if(r(a,25)&&a.J()==this.J())a:{var b;Nc(a);for(b=a.D();b.Q();)if(a=b.R(),!this.H(a)){a=!1;break a}a=!0}else a=!1;return a};_.hC=function(){return $g(this)};
t(212);function jh(a){this.a=a}m(63,212,ka,jh);_.H=function(a){return r(a,24)?Wg(this.a,a):!1};_.D=function(){return new kh(this.a)};_.J=function(){return this.a.b};t(63);function lh(a){if(a.a.Q())return!0;if(a.a!=a.b)return!1;a.a=a.c.a._();return a.a.Q()}function mh(a){if(a._gwt_modCount!=a.c._gwt_modCount)throw new nh;return y(lh(a)),a.a.R()}function kh(a){this.c=a;this.a=this.b=this.c.c._();this._gwt_modCount=a._gwt_modCount}m(64,1,{},kh);_.Q=function(){return lh(this)};_.R=function(){return mh(this)};
t(64);m(213,211,{31:1});_.S=function(){throw new Tg("Add not supported on this list");};_.F=function(a){this.S(this.J(),a);return!0};_.eQ=function(a){var b,c,d;if(a===this)return!0;if(!r(a,31)||this.J()!=a.J())return!1;d=a.D();for(b=this.D();b.Q();)if(a=b.R(),c=d.R(),!(s(a)===s(c)||null!=a&&ua(a,c)))return!1;return!0};_.hC=function(){var a,b,c;c=1;for(b=this.D();b.Q();)a=b.R(),c=31*c+(null!=a?Ga(a):0),c=~~c;return c};_.D=function(){return new M(this)};
_.U=function(){throw new Tg("Remove not supported on this list");};t(213);function oh(a){if(-1==a.c)throw new af;a.d.U(a.c);a.b=a.c;a.c=-1}function M(a){this.d=a}m(7,1,{},M);_.Q=function(){return this.b<this.d.J()};_.R=function(){return y(this.b<this.d.J()),this.d.T(this.c=this.b++)};_.V=function(){oh(this)};_.b=0;_.c=-1;t(7);function ph(a,b){this.d=this.a=a;Pc(b,a.b.length);this.b=b}m(43,7,{},ph);t(43);function qh(a,b){z(b,a.b);return N(a.c,a.a+b)}
function rh(a,b,c){var d=a.b.length;if(0>b)throw new Mc("fromIndex: "+b+" \x3c 0");if(c>d)throw new Mc("toIndex: "+c+" \x3e size "+d);if(b>c)throw new $e("fromIndex: "+b+" \x3e toIndex: "+c);this.c=a;this.a=b;this.b=c-b}m(50,213,{31:1},rh);_.S=function(a,b){Pc(a,this.b);sh(this.c,this.a+a,b);++this.b};_.T=function(a){return qh(this,a)};_.U=function(a){z(a,this.b);a=this.c.U(this.a+a);--this.b;return a};_.J=function(){return this.b};_.a=0;_.b=0;t(50);
function th(a){a=new kh((new jh(a.a)).a);return new uh(a)}function vh(a){this.a=a}m(65,212,ka,vh);_.H=function(a){return ah(this.a,a)};_.D=function(){return th(this)};_.J=function(){return this.a.b};t(65);function uh(a){this.a=a}m(114,1,{},uh);_.Q=function(){return lh(this.a)};_.R=function(){return mh(this.a).W()};t(114);function wh(a,b){var c;c=a.d;a.d=b;return c}m(48,1,{48:1,24:1});_.eQ=function(a){return r(a,24)?xh(this.c,a.W())&&xh(this.d,a.X()):!1};_.W=function(){return this.c};_.X=function(){return this.d};
_.hC=function(){return yh(this.c)^yh(this.d)};_.Y=function(a){return wh(this,a)};_.tS=function(){return this.c+"\x3d"+this.d};t(48);function zh(a,b){this.c=a;this.d=b}m(49,48,{48:1,49:1,24:1},zh);t(49);m(216,1,{24:1});_.eQ=function(a){return r(a,24)?xh(this.W(),a.W())&&xh(this.X(),a.X()):!1};_.hC=function(){return yh(this.W())^yh(this.X())};_.tS=function(){return this.W()+"\x3d"+this.X()};t(216);function Ah(a,b){var c;c=Bh(a,b.W());return!!c&&xh(c.d,b.X())}m(218,210,ha);
_.M=function(a){return Ah(this,a)};_.N=function(a){return!!Bh(this,a)};_.O=function(){return new Ch(this)};_.P=function(a){return Zg(Bh(this,a))};t(218);function Ch(a){this.a=a}m(97,212,ka,Ch);_.H=function(a){return r(a,24)&&Ah(this.a,a)};_.D=function(){return new Dh(this.a)};_.J=function(){return this.a.c};t(97);function Eh(a){a=new Dh((new Fh(a.a)).a);return new Gh(a)}function Hh(a){this.a=a}m(192,212,ka,Hh);_.H=function(a){return!!Bh(this.a,a)};_.D=function(){return Eh(this)};_.J=function(){return this.a.c};
t(192);function Gh(a){this.a=a}m(193,1,{},Gh);_.Q=function(){return this.a.a.Q()};_.R=function(){return this.a.a.R().W()};t(193);function Ih(a,b){var c;c=Jh(a,b);try{return y(c.b!=c.d.c),c.c=c.b,c.b=c.b.a,++c.a,c.c.c}catch(d){d=Cc(d);if(r(d,55))throw new Mc("Can't get element "+b);throw Dc(d);}}m(214,213,{31:1});_.S=function(a,b){var c;c=Jh(this,a);Kh(c.d,b,c.b.b,c.b);++c.a;c.c=null};_.T=function(a){return Ih(this,a)};_.D=function(){return Jh(this,0)};
_.U=function(a){var b,c;b=Jh(this,a);try{return c=(y(b.b!=b.d.c),b.c=b.b,b.b=b.b.a,++b.a,b.c.c),Lh(b),c}catch(d){d=Cc(d);if(r(d,55))throw new Mc("Can't remove element "+a);throw Dc(d);}};t(214);function Mh(a){a.b=E(Wb,da,1,0,3)}function sh(a,b,c){Pc(b,a.b.length);a.b.splice(b,0,c)}function P(a,b){a.b[a.b.length]=b;return!0}function Nh(a,b){var c;c=b.K();if(0==c.length)return!1;Ne(c,0,a.b,a.b.length,c.length,!1);return!0}function N(a,b){z(b,a.b.length);return a.b[b]}
function Oh(a,b){for(var c=0;c<a.b.length;++c)if(xh(b,a.b[c]))return c;return-1}function Ph(a,b){var c;c=(z(b,a.b.length),a.b[b]);a.b.splice(b,1);return c}function Qh(a,b,c){z(b,a.b.length);a.b[b]=c}function Rh(a,b){var c,d;d=a.b.length;b.length<d&&(b=Je(b,d));for(c=0;c<d;++c)b[c]=a.b[c];b.length>d&&(b[d]=null);return b}function Q(){Mh(this)}function Sh(a){Mh(this);a=Ie(a.b,a.b.length);Ne(a,0,this.b,0,a.length,!1)}m(9,213,la,Q,Sh);_.S=function(a,b){sh(this,a,b)};_.F=function(a){return P(this,a)};
_.G=function(a){return Nh(this,a)};_.H=function(a){return-1!=Oh(this,a)};_.T=function(a){return N(this,a)};_.I=function(){return 0==this.b.length};_.U=function(a){return Ph(this,a)};_.J=function(){return this.b.length};_.K=function(){return Ie(this.b,this.b.length)};_.L=function(a){return Rh(this,a)};t(9);
function Th(a,b,c,d,e,f){var g,l,n;if(7>d-c)for(a=c,g=a+1;g<d;++g)for(n=g;n>a&&0<f.Z(b[n-1],b[n]);--n)c=b[n],b[n]=b[n-1],b[n-1]=c;else if(l=c+e,g=d+e,n=l+(g-l>>1),Th(b,a,l,n,-e,f),Th(b,a,n,g,-e,f),0>=f.Z(a[n-1],a[n]))for(;c<d;)b[c++]=a[l++];else for(e=l,l=n;c<d;)l>=g||e<n&&0>=f.Z(a[e],a[l])?b[c++]=a[e++]:b[c++]=a[l++]}function $g(a){var b,c;c=0;for(b=a.D();b.Q();)a=b.R(),c+=null!=a?Ga(a):0,c=~~c;return c}function Uh(){Uh=k;Vh=new Wh}var Vh;
function Xh(a,b){Nc(a);Nc(b);return va(a)?a==b?0:a<b?-1:1:a.t(b)}function Wh(){}m(187,1,{},Wh);_.Z=function(a,b){return Xh(a,b)};t(187);function ih(a){a._gwt_modCount=(a._gwt_modCount|0)+1}function nh(){$b(this,this.e)}m(194,19,ca,nh);t(194);function Yh(){$b(this,this.e)}m(88,19,ca,Yh);t(88);function Zh(a,b){return $h(a.a,b)?a.b[b.b]:null}function ai(a,b,c){bi(a.a,b);ci(a,b.b,c)}function ci(a,b,c){var d;d=a.b[b];a.b[b]=c;return d}
function di(a){var b;this.a=(b=a.e&&a.e(),new ei(b,Je(b,b.length)));this.b=E(Wb,da,1,this.a.a.length,3)}m(185,210,ha,di);_.N=function(a){return $h(this.a,a)};_.O=function(){return new fi(this)};_.P=function(a){return Zh(this,a)};_.J=function(){return this.a.c};t(185);function fi(a){this.a=a}m(92,212,ka,fi);_.H=function(a){return r(a,24)?Wg(this.a,a):!1};_.D=function(){return new gi(this.a)};_.J=function(){return this.a.a.c};t(92);function gi(a){this.c=a;this.a=new ji(this.c.a)}m(93,1,{},gi);_.Q=function(){return pi(this.a)};
_.R=function(){return this.b=ri(this.a),new Ti(this.c,this.b)};t(93);function Ti(a,b){this.b=a;this.a=b}m(94,216,{24:1},Ti);_.W=function(){return this.a};_.X=function(){return this.b.b[this.a.b]};_.Y=function(a){return ci(this.b,this.a.b,a)};t(94);m(219,212,ka);t(219);function bi(a,b){var c;Nc(b);c=b.b;return a.b[c]?!1:(a.b[c]=b,++a.c,!0)}function $h(a,b){return r(b,8)&&!!b&&a.b[b.b]==b}function ei(a,b){this.a=a;this.b=b;this.c=0}m(195,219,ka,ei);_.F=function(a){return bi(this,a)};
_.H=function(a){return $h(this,a)};_.D=function(){return new ji(this)};_.J=function(){return this.c};_.c=0;t(195);function Wi(a){var b;++a.a;for(b=a.c.a.length;a.a<b&&!a.c.b[a.a];++a.a);}function pi(a){return a.a<a.c.a.length}function ri(a){return y(a.a<a.c.a.length),a.b=a.a,Wi(a),a.c.b[a.b]}function ji(a){this.c=a;Wi(this)}m(99,1,{},ji);_.Q=function(){return pi(this)};_.R=function(){return ri(this)};_.a=-1;_.b=-1;t(99);function Xi(a,b){return s(a)===s(b)||null!=a&&ua(a,b)}
function cj(){fh(this)}m(20,113,{3:1,46:1},cj);t(20);function R(a,b){return null==dh(a.a,b,a)}function S(a,b){return ah(a.a,b)}function dj(){this.a=new cj}m(17,212,{3:1,25:1},dj);_.F=function(a){return R(this,a)};_.H=function(a){return S(this,a)};_.I=function(){return 0==this.a.b};_.D=function(){return th(new vh(this.a))};_.J=function(){return this.a.b};_.tS=function(){return Vg(new vh(this.a))};t(17);
function bh(a,b){var c,d,e,f;c=null==b?"0":""+~~Ga(b);d=a.a[c]||[];e=0;for(f=d.length;e<f;++e)if(c=d[e],Xi(b,c.W()))return c;return null}function eh(a,b,c){var d,e,f,g;d=null==b?"0":""+~~Ga(b);e=a.a;d=e[d]||(e[d]=[]);f=0;for(g=d.length;f<g;++f)if(e=d[f],Xi(b,e.W()))return e.Y(c);d[d.length]=new zh(b,c);a=a.b;++a.b;ih(a);return null}function ej(){this.a=this.$()}m(89,1,{},ej);_.$=function(){return Object.create(null)};_._=function(){return new fj(this)};t(89);
function jj(a){if(a.c<a.a.length)return!0;if(a.b<a.d.length-1){var b=a.d[++a.b];a.a=a.f.a[b];a.c=0;return!0}return!1}function fj(a){this.f=a;this.d=Object.getOwnPropertyNames(this.f.a);this.a=E(tj,da,24,0,0)}m(144,1,{},fj);_.Q=function(){return jj(this)};_.R=function(){return y(jj(this)),this.e=this.a[this.c++],this.e};_.b=-1;_.c=0;_.e=null;t(144);function uj(){ej.call(this)}m(142,89,{},uj);_.$=function(){return{}};
_._=function(){var a=this.ab(),b=this.a,c;for(c in b)if(c==parseInt(c,10))for(var d=b[c],e=0,f=d.length;e<f;++e)a.F(d[e]);return a.D()};_.ab=function(){return new vj(this)};t(142);function vj(a){this.a=a;Mh(this)}m(143,9,la,vj);_.U=function(a){a=Ph(this,a);a:{var b=this.a,c=a.W(),d,e,f,g;f=null==c?"0":""+~~Ga(c);d=b.a[f]||[];for(g=0;g<d.length;g++)if(e=d[g],Xi(c,e.W())){1==d.length?delete b.a[f]:d.splice(g,1);b=b.b;--b.b;ih(b);break a}}return a};t(143);function Ij(){}m(139,1,{},Ij);_.bb=function(){return new ej};
_.cb=function(){return new Jj};t(139);function gh(){gh=k;var a,b;if(b=Object.create&&Object.getOwnPropertyNames)b=Object.create(null),void 0!==b.__proto__||0!=Object.getOwnPropertyNames(b).length?b=!1:(b.__proto__=42,b=42!==b.__proto__?!1:!0);hh=b?(a=Object.create(null),a.__proto__=42,0==Object.getOwnPropertyNames(a).length)?new Uj:new Ij:new Vj}var hh;function Uj(){}m(141,139,{},Uj);_.cb=function(){return new Wj};t(141);function Vj(){}m(140,139,{},Vj);_.bb=function(){return new uj};_.cb=function(){return new Xj};
t(140);function Yj(a,b,c){var d;d=a.a[b];if(void 0===d){var e=a.b;++e.b;ih(e)}a.a[b]=void 0===c?null:c;return d}function Zj(a,b){var c;c=a.a[b];if(void 0!==c){delete a.a[b];var d=a.b;--d.b;ih(d)}return c}function Jj(){this.a=this.db()}m(71,1,{},Jj);_.db=function(){return Object.create(null)};_._=function(){var a;a=this.fb();return new ak(this,a)};_.eb=function(a){return this.a[a]};_.fb=function(){return Object.getOwnPropertyNames(this.a)};_.gb=function(a){return new bk(this,a)};
_.hb=function(a,b){return Yj(this,a,b)};_.ib=function(a){return Zj(this,a)};t(71);function ak(a,b){this.b=a;this.c=b}m(131,1,{},ak);_.Q=function(){return this.a<this.c.length};_.R=function(){return y(this.a<this.c.length),new bk(this.b,this.c[this.a++])};_.a=0;t(131);function bk(a,b){this.a=a;this.b=b}m(83,216,{24:1},bk);_.W=function(){return this.b};_.X=function(){return this.a.eb(this.b)};_.Y=function(a){return this.a.hb(this.b,a)};t(83);function Xj(){Jj.call(this)}m(128,71,{},Xj);_.db=function(){return{}};
_._=function(){var a=this.jb(),b;for(b in this.a)if(58==b.charCodeAt(0)){var c=this.gb(b.substring(1));a.F(c)}return a.D()};_.eb=function(a){return this.a[":"+a]};_.jb=function(){return new ck(this)};_.hb=function(a,b){return Yj(this,":"+a,b)};_.ib=function(a){return Zj(this,":"+a)};t(128);function ck(a){this.a=a;Mh(this)}m(130,9,la,ck);_.U=function(a){var b;return b=Ph(this,a),Zj(this.a,":"+b.W()),b};t(130);function Wj(){Jj.call(this)}m(129,71,{},Wj);
_.fb=function(){var a;a=Object.getOwnPropertyNames(this.a);void 0!==this.a.__proto__&&(a[a.length]="__proto__");return a};t(129);function dk(a,b){Kh(a,b,a.c.b,a.c);return!0}function Kh(a,b,c,d){var e;e=new ek;e.c=b;e.b=c;e.a=d;d.b=c.a=e;++a.b}function Jh(a,b){var c,d;Pc(b,a.b);if(b>=a.b>>1)for(d=a.c,c=a.b;c>b;--c)d=d.b;else for(d=a.a.a,c=0;c<b;++c)d=d.a;return new fk(a,b,d)}function gk(){this.a=new ek;this.c=new ek;this.a.a=this.c;this.c.b=this.a;this.a.b=this.c.a=null;this.b=0}m(80,214,la,gk);
_.F=function(a){return dk(this,a)};_.J=function(){return this.b};_.b=0;t(80);function Lh(a){var b;if(!a.c)throw new af;b=a.c.a;var c=a.d,d=a.c;d.a.b=d.b;d.b.a=d.a;d.a=d.b=null;d.c=null;--c.b;a.b==a.c?a.b=b:--a.a;a.c=null}function fk(a,b,c){this.d=a;this.b=c;this.a=b}m(115,1,{},fk);_.Q=function(){return this.b!=this.d.c};_.R=function(){return y(this.b!=this.d.c),this.c=this.b,this.b=this.b.a,++this.a,this.c.c};_.V=function(){Lh(this)};_.a=0;_.c=null;t(115);function ek(){}m(66,1,{},ek);t(66);
var tj=kb();function Lc(){$b(this,this.e)}m(55,19,{3:1,15:1,12:1,55:1},Lc);t(55);function xh(a,b){return s(a)===s(b)||null!=a&&ua(a,b)}function yh(a){return null!=a?Ga(a):0}function hk(a,b){if(0>a||a>=b)throw new Re;}m(124,213,la);_.S=function(a,b){hk(a,this.a.b.length+1);sh(this.a,a,b)};_.F=function(a){return P(this.a,a)};_.G=function(a){return Nh(this.a,a)};_.H=function(a){return-1!=Oh(this.a,a)};_.T=function(a){return hk(a,this.a.b.length),N(this.a,a)};_.I=function(){return 0==this.a.b.length};
_.D=function(){return new M(this.a)};_.U=function(a){return hk(a,this.a.b.length),this.a.U(a)};_.J=function(){return this.a.b.length};_.K=function(){var a=this.a;return Ie(a.b,a.b.length)};_.L=function(a){return Rh(this.a,a)};_.tS=function(){return Vg(this.a)};t(124);function ik(a){var b;b=a.a.b.length;if(0<b)return hk(b-1,a.a.b.length),a.a.U(b-1);throw new Yh;}function jk(){this.a=new Q}m(67,124,la,jk);t(67);
function Bh(a,b){var c,d;for(d=a.b;d;){c=Xh(b,d.c);if(0==c)return d;c=0>c?0:1;d=d.a[c]}return null}function kk(a,b,c,d,e,f,g,l){var n;if(d){(n=d.a[0])&&kk(a,b,c,n,e,f,g,l);n=d.c;var q,v;c.kb()&&(q=Xh(n,e),0>q||!f&&0==q)||c.lb()&&(v=Xh(n,g),0<v||!l&&0==v)||b.F(d);(d=d.a[1])&&kk(a,b,c,d,e,f,g,l)}}
function lk(a,b,c,d){var e,f;if(b){e=Xh(c.c,b.c);if(0==e)return d.d=wh(b,c.d),d.b=!0,b;e=0>e?0:1;b.a[e]=lk(a,b.a[e],c,d);mk(b.a[e])&&(mk(b.a[1-e])?(b.b=!0,b.a[0].b=!1,b.a[1].b=!1):mk(b.a[e].a[e])?b=nk(b,1-e):mk(b.a[e].a[1-e])&&(b=(f=1-(1-e),b.a[f]=nk(b.a[f],f),nk(b,1-e))))}else return c;return b}function mk(a){return!!a&&a.b}function nk(a,b){var c,d;c=1-b;d=a.a[c];a.a[c]=d.a[b];d.a[b]=a;a.b=!0;d.b=!1;return d}function ok(){var a=null;this.b=null;!a&&(a=(Uh(),Uh(),Vh));this.a=a}
m(96,218,{3:1,46:1},ok);_.O=function(){return new Fh(this)};_.J=function(){return this.c};_.c=0;t(96);function Dh(a){var b=(pk(),qk),c;c=new Q;kk(a,c,b,a.b,null,!1,null,!1);this.a=new ph(c,0)}m(74,1,{},Dh);_.Q=function(){return this.a.Q()};_.R=function(){return this.a.R()};t(74);function Fh(a){this.a=a}m(98,97,ka,Fh);t(98);function rk(a,b){zh.call(this,a,b);this.a=E(sk,da,58,2,0);this.b=!0}m(58,49,{48:1,49:1,24:1,58:1},rk);_.b=!1;var sk=t(58);function tk(){}m(188,1,{},tk);
_.tS=function(){return"State: mv\x3d"+this.c+" value\x3d"+this.d+" done\x3d"+this.a+" found\x3d"+this.b};_.a=!1;_.b=!1;_.c=!1;t(188);function pk(){pk=k;qk=new uk("All",0);vk=new wk;xk=new yk;zk=new Ak}function uk(a,b){C.call(this,a,b)}m(29,8,ma,uk);_.kb=function(){return!1};_.lb=function(){return!1};var qk,vk,xk,zk,Bk=u(29,function(){pk();return D(w(Bk,1),ea,29,0,[qk,vk,xk,zk])});function wk(){C.call(this,"Head",1)}m(189,29,ma,wk);_.lb=function(){return!0};u(189,null);
function yk(){C.call(this,"Range",2)}m(190,29,ma,yk);_.kb=function(){return!0};_.lb=function(){return!0};u(190,null);function Ak(){C.call(this,"Tail",3)}m(191,29,ma,Ak);_.kb=function(){return!0};u(191,null);function Ck(a){this.a=new ok;Ug(this,a)}m(90,212,{3:1,25:1},Ck);_.F=function(a){var b=this.a,c=(Se(),Te);a=new rk(a,c);c=new tk;b.b=lk(b,b.b,a,c);c.b||++b.c;b.b.b=!1;return null==c.d};_.H=function(a){return!!Bh(this.a,a)};_.D=function(){return Eh(new Hh(this.a))};_.J=function(){return this.a.c};
t(90);
function Dk(a){var b;if(!(0<a.a.b)){b=Ek(a.f);!b.length||dk(a.a,b);b=a.a;var c;var d=$doc.title,e=$doc.documentElement,f;c=f="";p==p?f=c=d:e&&(d=e.getElementsByTagName("TITLE"),0<d.length&&(f=c=d[0].textContent));if(f.length){Fk();if(/ [\|\-] /i.test(f))f=c.replace(RegExp("(.*)[\\|\\-] .*","gi"),"$1"),3>Gk.Bb(f)&&(f=c.replace(RegExp("[^\\|\\-]*[\\|\\-](.*)","gi"),"$1"));else if(-1!=f.indexOf(": "))f=c.replace(RegExp(".*:(.*)","gi"),"$1"),3>Gk.Bb(f)&&(f=c.replace(RegExp("[^:]*[:](.*)","gi"),"$1"));
else if(e&&(150<f.length||15>f.length)){f=e.getElementsByTagName("H1");e="";for(d=0;d<f.length&&!e.length;d++)e=f[d].innerText;f=e;!f.length&&(f=c)}f=Hk(f);4>=Gk.Bb(f)&&(f=c);c=f}else c="";dk(b,c);p==p&&dk(a.a,$doc.title)}}function Ik(a){var b,c;this.b=a;this.a=new gk;this.e=(b={},b[6]=[],b);this.d=(c={},c);b=U();this.f=new Jk(a,this.e);a=U()-b;if(void 0==a)throw new TypeError;this.e[1]=a;this.g=""}m(102,1,{},Ik);t(102);function Kk(){}m(103,1,{},Kk);t(103);
function Lk(a){var b,c,d,e,f,g,l,n,q,v,H,lb,Aa,hi,hn,ii,ia,kf,lf,jn,kn;v=U();var ln=$doc.documentElement.textContent,mn,nn;Fk();Gk=(mn=RegExp("[\\u3040-\\uA4CF]","g"),nn=RegExp("[\\uAC00-\\uD7AF]","g"),mn.test(ln)?new Mk:nn.test(ln)?new Nk:new Ok);n=(hi={},hi[10]=[],hi);c=new Ik($doc.documentElement);var qn=(Dk(c),Ih(c.a,0));if(void 0==qn)throw new TypeError;n[1]=qn;var ki;if(void 0!=a[2]){if(void 0===a[2])throw new TypeError;ki=a[2]}else ki=0;Pk=ki;V("DomDistiller debug level: "+Pk);b=(hn={},hn);
var li;if(li=void 0!=a[1]){if(void 0===a[1])throw new TypeError;li=a[1]}var rn=li,kc,Ud,mi,Vd,Uc,ni,Wd,sn,mf,Vc;Uc=U();ni=new Kk;Wd=new Qk;sn=c.b.querySelectorAll('meta[name\x3d"viewport"][content*\x3d"width\x3ddevice-width"]');mf=new Rk(Wd);mf.i=0<sn.length;var oi;var vn=c.b,nf,lc;nf=vn.getElementsByTagName("ARTICLE");lc=Sk(nf);1==lc.b.length?oi=(z(0,lc.b.length),lc.b[0]):(nf=vn.querySelectorAll('[itemscope][itemtype*\x3d"Article"],[itemscope][itemtype*\x3d"Posting"]'),lc=Sk(nf),oi=0<lc.b.length?
Tk(lc):null);kc=(Vc=oi,mf.d=!!Vc,Vc?1<=Pk&&V("Extracted article element: "+Vc):Vc=c.b,Uk(new Vk(mf),Vc),ni.a=(Wk(Wd,Wd.d),Wd.b),Dk(c),ni);var yn=U()-Uc;if(void 0==yn)throw new TypeError;c.e[2]=yn;Uc=U();var Ba=kc.a,I;var Xd,pf,ta,qi,Wc;Wc=new Q;b:{var Yd;for(Yd=0;Yd<Ba.a.b.length;Yd++)if(r(N(Ba.a,Yd),34)){ta=Yd;break b}ta=Ba.a.b.length}if(ta!=Ba.a.b.length){qi=pf=N(Ba.a,ta).d;Xd=new Xk(Ba.a,ta);for(++ta;ta<Ba.a.b.length;ta++)r(N(Ba.a,ta),34)&&(pf=N(Ba.a,ta).d,pf==qi?Yk(Xd,new Xk(Ba.a,ta)):(Wc.b[Wc.b.length]=
Xd,qi=pf,Xd=new Xk(Ba.a,ta)));Wc.b[Wc.b.length]=Xd}I=new Zk(Wc);var cr=c.a,O;$k(I,!0,"Start");var dr=(al(),I),si,mb;for(mb=new M(dr.a);mb.b<mb.d.J();){si=(y(mb.b<mb.d.J()),mb.d.T(mb.c=mb.b++));var ti;var ui=si,rf=void 0;14<ui.d?ti=!1:(rf=Hk(ui.g),ti=8<=rf.length?bl.test(rf):1==ui.c?"Comment"===rf:!1);ti&&R(si.b,"STRICTLY_NOT_CONTENT")}var vi=new cl(cr),sf,nb,Ca;if(vi.a)for(nb=new M(I.a);nb.b<nb.d.J();)sf=(y(nb.b<nb.d.J()),nb.d.T(nb.c=nb.b++)),Ca=sf.g,Ca=zf(Ca),Ca=Uf(Ca,"'"),Ca=Qg(Ca).toLowerCase(),
S(vi.a,Ca)&&R(sf.b,"de.l3s.boilerpipe/TITLE"),Ca=Qg(Ca.replace(dl,"")),S(vi.a,Ca)&&R(sf.b,"de.l3s.boilerpipe/TITLE");var Zd,tf,Da,$d,ae,Ja,Ya;Ja=I.a;if(0==Ja.b.length)O=!1;else{tf=!1;for(Da=0;Da<Ja.b.length;Da++)ae=0==Da?null:(z(Da-1,Ja.b.length),Ja.b[Da-1]),Zd=(z(Da,Ja.b.length),Ja.b[Da]),$d=Da+1==Ja.b.length?null:(z(Da+1,Ja.b.length),Ja.b[Da+1]),tf|=(0.333333>=Zd.c?!ae||0.555556>=ae.c?16>=Zd.d?!$d||15>=$d.d?!ae||4>=ae.d?Ya=!1:Ya=!0:Ya=!0:Ya=!0:40>=Zd.d?!$d||17>=$d.d?Ya=!1:Ya=!0:Ya=!0:Ya=!1,el(Zd,
Ya));O=tf}$k(I,O,"Classification Complete");var er=(fl(),gl),wi,Gn,xi,uf,Hn,vf,ob;wi=!1;ob=new M(I.a);a:for(;ob.b<ob.d.J();)if(vf=(y(ob.b<ob.d.J()),ob.d.T(ob.c=ob.b++)),vf.a)for(xi=er.a,uf=0,Hn=xi.length;uf<Hn;++uf)if(Gn=xi[uf],S(vf.b,Gn)){el(vf,!1);wi=!0;continue a}O=wi;$k(I,O,"Ignore Strictly Not Content blocks");var yi=hl();yi.e=0.5;yi.d=10;O=il(jl(yi),I);$k(I,O,"SimilarSiblingContentExpansion: Cross headings");var wf=hl();wf.c=!0;wf.e=0;wf.d=10;O=il(jl(wf),I);$k(I,O,"SimilarSiblingContentExpansion: Mixed tags");
var xf,pb,Ln,be,Ea,zi;zi=I.a;if(2>zi.b.length)O=!1;else{xf=!1;be=new ph(zi,0);for(pb=be.R();be.Q();)if(Ea=pb,pb=be.R(),S(Ea.b,"de.l3s.boilerpipe/HEADING")&&!(S(Ea.b,"STRICTLY_NOT_CONTENT")||S(pb.b,"STRICTLY_NOT_CONTENT")||S(Ea.b,"de.l3s.boilerpipe/TITLE")||S(pb.b,"de.l3s.boilerpipe/TITLE")))if(pb.a){xf=!0;Ln=Ea.a;Yk(Ea,pb);pb=Ea;be.V();var Mn=Ea;S(Mn.b,"de.l3s.boilerpipe/HEADING")&&Mn.b.a.c.ib("de.l3s.boilerpipe/HEADING");Ln||R(Ea.b,"BOILERPLATE_HEADING_FUSED")}else Ea.a&&(xf=!0,el(Ea,!1));O=xf}$k(I,
O,"HeadingFusion");O=kl((ll(),ml),I);$k(I,O,"BlockProximityFusion: Distance 1");var fr=(nl(),ol),Ai,Za,Bi,Sn;Sn=I.a;Ai=!1;for(Za=new M(Sn);Za.b<Za.d.J();)Bi=(y(Za.b<Za.d.J()),Za.d.T(Za.c=Za.b++)),Bi.a||null!=fr.a&&S(Bi.b,"de.l3s.boilerpipe/TITLE")||(oh(Za),Ai=!0);O=Ai;$k(I,O,"BlockFilter");O=kl(pl,I);$k(I,O,"BlockProximityFusion: Same level content-only");var gr=(ql(),rl),Ci,qb,ce,Di,Ei,Ka,rb,sb,Xc;Xc=I.a;if(2>Xc.b.length)O=!1;else{Di=-1;qb=null;Ci=0;ce=-1;for(sb=new M(Xc);sb.b<sb.d.J();)Ka=(y(sb.b<
sb.d.J()),sb.d.T(sb.c=sb.b++)),Ka.a&&(Ei=Ka.d,Ei>Di&&(qb=Ka,Di=Ei,ce=Ci)),++Ci;for(rb=new M(Xc);rb.b<rb.d.J();)Ka=(y(rb.b<rb.d.J()),rb.d.T(rb.c=rb.b++)),Ka==qb?(el(Ka,!0),R(Ka.b,"de.l3s.boilerpipe/VERY_LIKELY_CONTENT")):(el(Ka,!1),R(Ka.b,"de.l3s.boilerpipe/MIGHT_BE_CONTENT"));if(gr.a&&-1!=ce){var hr=ce,tb,Wn,Fi,Gi;Gi=B(sl(N(qb.j,N(qb.i,qb.i.b.length-1).a)));for(Fi=new ph(Xc,hr+1);Fi.Q();)tb=Fi.R(),Wn=B(tl(N(tb.j,N(tb.i,0).a))),B(Gi)==B(Wn)&&(el(tb,!0),R(tb.b,"SIBLING_OF_MAIN_CONTENT"),Gi=B(sl(N(tb.j,
N(tb.i,tb.i.b.length-1).a))));var ir=ce,ub,Xn,Hi,Yc;Hi=B(tl(N(qb.j,N(qb.i,0).a)));for(Yc=new ph(Xc,ir);0<Yc.b;)ub=(y(0<Yc.b),N(Yc.a,Yc.c=--Yc.b)),Xn=B(sl(N(ub.j,N(ub.i,ub.i.b.length-1).a))),B(Hi)==B(Xn)&&(el(ub,!0),R(ub.b,"SIBLING_OF_MAIN_CONTENT"),Hi=B(tl(N(ub.j,N(ub.i,0).a))))}O=!0}$k(I,O,"Keep Largest Block");var Af,mc,Bf,Zc,vb,wb,de;Bf=0;mc=de=-1;for(wb=new M(I.a);wb.b<wb.d.J();)Zc=(y(wb.b<wb.d.J()),wb.d.T(wb.c=wb.b++)),-1==mc&&S(Zc.b,"de.l3s.boilerpipe/TITLE")&&(de=Bf,mc=-1),-1==mc&&Zc.a&&(mc=
Bf),++Bf;if(mc<=de||-1==de)O=!1;else{Af=!1;for(vb=new M(new rh(I.a,de,mc));vb.b<vb.d.J();)Zc=(y(vb.b<vb.d.J()),vb.d.T(vb.c=vb.b++)),S(Zc.b,"de.l3s.boilerpipe/MIGHT_BE_CONTENT")&&(Af|=el(Zc,!0));O=Af}$k(I,O,"Expand Title to Content");var Ii,Cf,$a,xb,yb;Ii=!1;Cf=-1;for(yb=new M(I.a);yb.b<yb.d.J();)if($a=(y(yb.b<yb.d.J()),yb.d.T(yb.c=yb.b++)),$a.a&&S($a.b,"de.l3s.boilerpipe/VERY_LIKELY_CONTENT")){Cf=$a.f;break}if(-1==Cf)O=!1;else{for(xb=new M(I.a);xb.b<xb.d.J();)$a=(y(xb.b<xb.d.J()),xb.d.T(xb.c=xb.b++)),
!$a.a&&100<=$a.d&&$a.f==Cf&&(el($a,!0),Ii=!0);O=Ii}$k(I,O,"Largest Block Same Tag Level -\x3e Content");var Ji,Df,ab,zb;Ji=!1;Df=aa;for(zb=new M(I.a);zb.b<zb.d.J();)ab=(y(zb.b<zb.d.J()),zb.d.T(zb.c=zb.b++)),ab.a&&S(ab.b,"de.l3s.boilerpipe/VERY_LIKELY_CONTENT")?Df=ab.f:ab.f>Df&&S(ab.b,"de.l3s.boilerpipe/MIGHT_BE_CONTENT")&&S(ab.b,"de.l3s.boilerpipe/LI")&&0==ab.c?(el(ab,!0),Ji=!0):Df=aa;O=Ji;$k(I,O,"List at end filter");var jr=c.d,Ki,Ef,Li,Ab;Ef=0;for(Ab=new M(I.a);Ab.b<Ab.d.J();)Li=(y(Ab.b<Ab.d.J()),
Ab.d.T(Ab.c=Ab.b++)),Li.a&&(Ef+=Li.d);Ki=Ef;if(void 0==Ki)throw new TypeError;jr[1]=Ki;var kr,Bb;for(Bb=new M(I.a);Bb.b<Bb.d.J();){var Ff=kr=(y(Bb.b<Bb.d.J()),Bb.d.T(Bb.c=Bb.b++)),Yn=void 0,Cb=void 0,Mi=void 0;if(Ff.a)for(Cb=new M(Ff.i);Cb.b<Cb.d.J();)Yn=(y(Cb.b<Cb.d.J()),Cb.d.T(Cb.c=Cb.b++)),Mi=N(Ff.j,Yn.a),Mi.p=!0,S(Ff.b,"de.l3s.boilerpipe/TITLE")&&R(Mi.e,"de.l3s.boilerpipe/TITLE")}var Gf,Db,Hf;Hf=!1;for(Db=new M(kc.a.a);Db.b<Db.d.J();)Gf=(y(Db.b<Db.d.J()),Db.d.T(Db.c=Db.b++)),Gf.p?Hf=!0:r(Gf,34)?
Hf=!1:Hf&&(Gf.p=!0);var Zn=kc.a,If,La,Eb,Fb,$c,$n,Ni;If=new Q;Ni=$c=null;for(Fb=new M(Zn.a);Fb.b<Fb.d.J();)La=(y(Fb.b<Fb.d.J()),Fb.d.T(Fb.c=Fb.b++)),r(La,34)&&La.p&&(!$c&&($c=La),Ni=La);for(Eb=new M(Zn.a);Eb.b<Eb.d.J()&&!(La=(y(Eb.b<Eb.d.J()),Eb.d.T(Eb.c=Eb.b++)),($n=r(La,35))&&La.p||La==Ni);)$n&&P(If,La);var ee,Oi,Pi,fe,ao,Jf,Gb,ad;if(0!=If.b.length){Pi=null;$c&&(Pi=N($c.a,$c.c));ao=(ad=new Q,P(ad,new ul),P(ad,new vl),P(ad,new wl(Pi)),P(ad,new xl),ad);ee=null;Oi=0;for(Gb=new M(If);Gb.b<Gb.d.J();){Jf=
(y(Gb.b<Gb.d.J()),Gb.d.T(Gb.c=Gb.b++));var Kf=void 0,go=void 0,Hb=void 0,ge=void 0;if(Jf){ge=0;Kf=Jf.d;for(Hb=new M(ao);Hb.b<Hb.d.J();)go=(y(Hb.b<Hb.d.J()),Hb.d.T(Hb.c=Hb.b++)),ge+=go.Gb(Kf);2>Pk||(Kf?V("FINAL SCORE: "+ge+" : "+A(Kf,"src")):V("Null image attempting to be scored!"));fe=ge}else fe=0;26<=fe&&(!ee||Oi<fe)&&(ee=Jf,Oi=fe)}ee&&(ee.p=!0)}var lr=kc.a,Lf,Ib,Ma,he,Qi,Ri,ho,ie;Ma=!1;Qi=-1;he=new jk;for(Ib=new M(lr.a);Ib.b<Ib.d.J();)Lf=(y(Ib.b<Ib.d.J()),Ib.d.T(Ib.c=Ib.b++)),r(Lf,51)?(ie=Lf,ie.b==
(yl(),zl)?(ie.p=Ma,P(he.a,ie),Ma=!1):(Ri=ik(he),(Ma|=Qi>=he.a.b.length)&&(Qi=he.a.b.length-1),ho=Ri.p,Ri.p=Ma,ie.p=Ma,Ma=ho)):Ma||(Ma=Lf.p);var io=U()-Uc;if(void 0==io)throw new TypeError;c.e[3]=io;Uc=U();var Si,Jb,cd;cd=new Rg;for(Jb=new M(kc.a.a);Jb.b<Jb.d.J();)if(Si=(y(Jb.b<Jb.d.J()),Jb.d.T(Jb.c=Jb.b++)),Si.p){var mr=Si.Eb(rn);cd.a+=mr;rn&&(cd.a+="\n")}mi=cd.a;var jo=U()-Uc;if(void 0==jo)throw new TypeError;c.e[4]=jo;var nr=kc.a,bb,Kb,Mf,Nf;Mf=new Q;for(Kb=new M(nr.a);Kb.b<Kb.d.J();)if(bb=(y(Kb.b<
Kb.d.J()),Kb.d.T(Kb.c=Kb.b++)),bb.p)if(r(bb,35))Nh(Mf,(!bb.b&&Al(bb),Nf=new Q,P(Nf,bb.e),Nh(Nf,Bl(bb.b)),Nf));else if(r(bb,68)){var or=Mf,Of=bb,Pf=void 0,Ui=void 0,Qf=void 0,Vi=void 0;!Of.a&&(Of.a=Cl(Dl(Of.b)));Qf=new Q;Vi=Of.a.querySelectorAll("IMG");for(Pf=0;Pf<Vi.length;Pf++)Ui=Vi[Pf],P(Qf,Ui.src),Nh(Qf,Bl(Ui));Nh(or,Qf)}c.c=Mf;if(4<=Pk){for(Vd=0;Vd<c.e[6].length;Vd++){var lo=c.e;if(Vd>=lo[6].length)throw new RangeError;Ud=lo[6][Vd];if(void 0===Ud[1])throw new TypeError;var pr="Timing: "+Ud[1]+
" \x3d ";if(void 0===Ud[2])throw new TypeError;V(pr+Ud[2])}var mo=c.e;if(void 0===mo[1])throw new TypeError;var qr="Timing: MarkupParsingTime \x3d "+mo[1]+"\nTiming: DocumentConstructionTime \x3d ",no=c.e;if(void 0===no[2])throw new TypeError;var rr=qr+no[2]+"\nTiming: ArticleProcessingTime \x3d ",oo=c.e;if(void 0===oo[3])throw new TypeError;var sr=rr+oo[3]+"\nTiming: FormattingTime \x3d ",po=c.e;if(void 0===po[4])throw new TypeError;V(sr+po[4])}if(void 0==mi)throw new TypeError;b[1]=mi;if(void 0==
b)throw new TypeError;n[2]=b;var qo=((null==c.g||!c.g.length)&&(c.g="auto"),c.g);if(void 0==qo)throw new TypeError;n[9]=qo;for(Aa=new M(c.c);Aa.b<Aa.d.J();){lb=(y(Aa.b<Aa.d.J()),Aa.d.T(Aa.c=Aa.b++));var tr=(ii={},n[10].push(ii),ii);if(void 0==lb)throw new TypeError;tr[1]=lb}var Yi;if(void 0!=a[3]){if(void 0===a[3])throw new TypeError;Yi=a[3]}else Yi=$doc.URL;g=Yi;H=c.e;q=U();var Zi;if(void 0!=a[4]){if(void 0===a[4])throw new TypeError;Zi=a[4]}else Zi="next";if("pagenum"===Zi){El();ia=new Fl(H);var $i;
var to=$doc.documentElement,aj,bj,dd,Rf,Sf,uo,Tf;Tf=U();ia.b=g.replace(Gl,"");ia.d=Hl(ia.b);if(ia.d){bj=Il(Jl(to,g));aj=to.getElementsByTagName("A");for(dd=0;dd<aj.length;)Sf=aj[dd],(uo=Kl(ia,Sf,bj))?(Ll(ia.a),Ml(ia,Sf,!1,!0,null),Nl(ia.a,uo.a),ia.c=0,Ml(ia,Sf,!1,!1,bj),dd+=1+ia.c):++dd;var ke=ia.a;0!=ke.a.b.length&&0==N(ke.a,ke.a.b.length-1).b.b.length&&ke.a.U(ke.a.b.length-1);Ol(Tf,ia.e,"PageParameterParser");Tf=U();var ur=ia.a,xo=ia.b,fd,nc,Wf,Lb,Xf,Yf;if(Xf=Hl(xo)){Xf.d.username="";Xf.d.password=
"";nc=new Pl;for(Lb=new M(ur.a);Lb.b<Lb.d.J();)if(Wf=(y(Lb.b<Lb.d.J()),Lb.d.T(Lb.c=Lb.b++)),!(2>Wf.b.b.length)){for(var T=Wf.b,vr=0>Wf.a,Zf=Xf,wr=nc.a?nc.a.d:"",gd=void 0,yo=void 0,Mb=void 0,gd=0,Mb=new M(T);Mb.b<Mb.d.J();)yo=(y(Mb.b<Mb.d.J()),Mb.d.T(Mb.c=Mb.b++)),!yo.b.length||++gd;if(0==gd)Yf=null;else{if(vr)for(var hd=void 0,id=void 0,zo=void 0,id=0,hd=T.b.length-1;id<hd;++id,--hd)zo=(z(id,T.b.length),T.b[id]),Qh(T,id,(z(hd,T.b.length),T.b[hd])),Qh(T,hd,zo);2==T.b.length&&1==gd&&1==(z(0,T.b.length),
T.b[0]).a&&2==(z(1,T.b.length),T.b[1]).a&&(of((z(0,T.b.length),T.b[0]).b)?Qh(T,0,new Ql(1,Ua(Zf.d))):Qh(T,1,new Ql(2,Ua(Zf.d))),++gd);var $f=void 0;if(2<=gd){for(var oc=void 0,gj=void 0,jd=void 0,ag=void 0,hj=void 0,Nb=void 0,pc=void 0,kd=void 0,Ob=void 0,le=void 0,Oa=void 0,bg=void 0,Ao=void 0,cg=void 0,me=void 0,Bo=void 0,Pb=void 0,ne=void 0,ne=0,Pb=new M(T);Pb.b<Pb.d.J();)Bo=(y(Pb.b<Pb.d.J()),Pb.d.T(Pb.c=Pb.b++)),Bo.a==ne+1&&++ne;if(28<=ne&&31>=ne)$f=null;else{hj="";le=new Rl;bg=E(Sl,da,69,T.b.length,
0);for(pc=0;pc<T.b.length;pc++)if(Ob=(z(pc,T.b.length),T.b[pc]),Ob.b.length&&(me=Hl(Ob.b),bg[pc]=me)){me.d.username="";me.d.password="";var Do=me,yr=Ob.a,zr=pc,Ar=le,oe=void 0,ij=void 0,pe=void 0,dg=void 0,qc=Do,eg=void 0,ld=void 0,fg=void 0,gg=void 0;if(null==qc.b)if(gg=qc.d.search,gg.length)for(eg=(Fk(),lg(gg.substr(1,gg.length-1),"\\\x26")),qc.b=Le([eg.length,2]),ld=0;ld<eg.length;ld++)fg=lg(eg[ld],"\x3d"),qc.b[ld][0]=fg[0],qc.b[ld][1]=1<fg.length?fg[1]:"";else qc.b=Le([0,2]);dg=qc.b;if(0!=dg.length)for(oe=
0;oe<dg.length;oe++){ij=dg[oe];try{pe=new Tl(Do,0==oe,ij[0],ij[1])}catch(hg){if(hg=Cc(hg),r(hg,23))pe=null;else throw Dc(hg);}pe&&Ul(Ar,pe,new Vl(yr,pe.a,zr))}1==Ob.a&&(hj=Ob.b)}if(0==le.a.b)for(Nb=0;Nb<T.b.length;Nb++)if(Ob=(z(Nb,T.b.length),T.b[Nb]),bg[Nb]){var rc=bg[Nb],Br=Ob.a,Cr=Nb,Dr=le,kj=void 0,lj=void 0,Go=void 0,mj=void 0,nj=void 0,qe=void 0,Ho=void 0,mj=(null==rc.c&&(rc.c=Wl(rc.d)),rc.c);if(mj.length&&Xl(mj))for(Ho=Ua(rc.d),nj=rc.d.origin.length,!Yl&&(Yl=RegExp("(\\d+)","gi")),Yl.lastIndex=
nj;;){kj=Yl.exec(Ho);if(!kj)break;lj=Yl.lastIndex;Go=lj-kj[1].length;try{qe=new Zl(rc,nj,Go,lj)}catch(jg){if(jg=Cc(jg),r(jg,23))qe=null;else throw Dc(jg);}qe&&Ul(Dr,qe,new Vl(Br,qe.a,Cr))}}cg=new Pl;for(jd=new kh((new jh(le.a)).a);lh(jd);){if(jd._gwt_modCount!=jd.c._gwt_modCount)throw new nh;gj=(y(lh(jd)),jd.a.R());Ao=gj.W();kd=gj.X();if(!(Ao===wr||100<kd.a.b.length)&&kd.b.Ab(Zf)){e:{var oj=kd.b,sc=kd.a,Qb=T,pj=hj,cb=void 0,qj=void 0,se=void 0,Ko=void 0,rj=void 0,Rb=void 0,Pa=void 0,Lo=void 0,te=
void 0,sj=void 0;if(2<=sc.b.length)if(te=$l(sc,Qb),te.a&&te.b&&am(Qb,te)){Ko=bm(sc);cb=new Q;for(Rb=new M(sc);Rb.b<Rb.d.J();)rj=(y(Rb.b<Rb.d.J()),Rb.d.T(Rb.c=Rb.b++)),P(cb,new Ql(rj.a,N(Qb,rj.c).b));Oa=new cm((dm(),em),oj.tS(),cb,Ko,te.c)}else Oa=null;else{if(1==sc.b.length&&pj.length&&(Pa=(z(0,sc.b.length),sc.b[0]),Lo=2==Pa.a&&1==Pa.c,sj=3==Pa.a&&2==Pa.c&&2==(z(1,Qb.b.length),Qb.b[1]).a,1==(z(0,Qb.b.length),Qb.b[0]).a&&(Lo||sj)&&oj.zb(pj))){se=Pa.b-Pa.a;0==se||1==se?qj=1:(qj=Pa.b,se=0);cb=new Q;
P(cb,new Ql(1,pj));P(cb,new Ql(Pa.a,N(Qb,Pa.c).b));Oa=new cm((dm(),em),oj.tS(),cb,new fm(qj,se),sj?(z(1,cb.b.length),cb.b[1]).b:"");break e}Oa=null}}if(Oa){var oc=(!gm&&(gm=/\/$/),Zf.d.href.replace(gm,"")),ue;e:{var nd=Oa,wj=oc,Hr=T,od=void 0,kg=void 0,Sb=void 0;if(2>nd.a.b.length||1==N(nd.a,0).a||wj.length>=N(nd.a,0).b.length)ue=!1;else{for(od=0;od<nd.a.b.length;od++){var xj;(xj=N(nd.a,od).a!=od+2)||(xj=N(nd.a,od).b===wj);if(xj){ue=!1;break e}}for(Sb=new M(Hr);Sb.b<Sb.d.J();)if(kg=(y(Sb.b<Sb.d.J()),
Sb.d.T(Sb.c=Sb.b++)),1==kg.a&&kg.b.length&&kg.b!==wj){ue=!1;break e}ue=!0}}ue?sh(Oa.a,0,new Ql(1,oc)):kd.b.zb(oc)&&(ag=N(Oa.a,0),2==ag.a&&ag.b!==oc&&oc.length<ag.b.length&&sh(Oa.a,0,new Ql(1,oc)));hm(cg,new im(Oa))}}}$f=cg.a?cg:null}}else $f=null;Yf=$f}Yf&&hm(nc,Yf)}if(nc.a){nc.b&&3<=Pk&&V("Detected multiple page patterns");fd=nc.a;var yj,zj,Tb;if(!fd.c.length&&0!=fd.a.b.length)for(yj=!1,Tb=new M(fd.a);Tb.b<Tb.d.J();){zj=(y(Tb.b<Tb.d.J()),Tb.d.T(Tb.c=Tb.b++));if(yj){fd.c=zj.b;break}zj.b===xo&&(yj=
!0)}Rf=fd}else Rf=new jm}else Rf=new jm;Ol(Tf,ia.e,"PageParameterDetector");$i=Rf}else $i=new jm;l=$i;e={};f=l.c;if(f.length){if(void 0==f)throw new TypeError;e[1]=f}if(void 0==e)throw new TypeError;n[3]=e;3<=Pk&&V("paging by pagenum: "+km(l))}else{3<=Pk&&V("paging by next");lm();kf={};var Po=$doc.documentElement,uc,Aj,Bj,Cj,Dj,db,Ej,ve,J,Ub,ja,Fj,x,Vb,pd,ng,we,Gj,qd,rd,sd,og,pg,Qo,eb,Hj,Ro,So;3<=Pk&&fh(mm);db=(Fk(),g.replace(RegExp("\\/[^/]*$","gi"),""));Ro=g.replace(RegExp("\\/$","gi"),"");uc=Po.getElementsByTagName("A");
pg=new dj;Bj=new dj;Cj=Il(Jl(Po,g));var Ir=lg(g,":\\/\\/")[0]+"://",To,xe=g,xe=(Fk(),lg(xe,":\\/\\/"))[1];To=-1==xe.indexOf("/")?xe:lg(xe,"\\/")[0];Aj=Ir+To+"/";var Jr="^"+Aj.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$\x26")+".*\\d";Qo=RegExp(Jr,"i");for(ve=0;ve<uc.length;ve++)if(J=uc[ve],So=A(J,"href"),Cj.setAttribute("href",So),ja=Cj.href,Qo.test(ja))if(Hj=(J.offsetWidth||0)|0,Ej=(J.offsetHeight||0)|0,0==Hj||0==Ej)W(J,"ignored: sz\x3d"+Hj+"x"+Ej);else if(nm(J))if(ja=ja.replace(om,""),W(J,"-\x3e "+
ja),F(ja,Ro)||F(ja,db))W(J,"ignored: same as current or folder url "+db);else if(Vb=J.innerText,25<Vb.length)W(J,"ignored: link text too long");else if(pm.test(Vb))W(J,"ignored: one of extra"),R(Bj,ja);else if(Fj=ja,ja.substr(0,db.length)===db&&(Fj=qg(ja,db.length)),qm.test(Fj)){x=new rm(ve,Vb,ja);R(pg,x);0!=ja.indexOf(db)&&(x.d-=25,W(J,"score\x3d"+x.d+": not part of folder url "+db));Ub=Vb+" "+A(J,"class")+" "+J.id;W(J,"txt+class+id\x3d"+Ub);sm.test(Ub)&&(x.d+=50,W(J,"score\x3d"+x.d+": has next"));
tm.test(Ub)&&(x.d+=25,W(J,"score\x3d"+x.d+": has pag* word"));um.test(Ub)&&!sm.test(x.c)&&(x.d-=65,W(J,"score\x3d"+x.d+": has first|last but no next regex"));if(vm.test(Ub)||pm.test(Ub))x.d-=50,W(J,"score\x3d"+x.d+": has neg or extra regex");wm.test(Ub)&&(x.d-=200,W(J,"score\x3d"+x.d+": has opp of next regex"));ng=og=!1;for(rd=B(J);rd&&(!og||!ng);)sd=A(rd,"class")+" "+rd.id,!og&&tm.test(sd)&&(x.d+=25,og=!0,W(J,"score\x3d"+x.d+": posParent - "+sd)),ng||!vm.test(sd)||xm.test(sd)||(x.d-=25,ng=!0,W(J,
"score\x3d"+x.d+": negParent - "+sd)),rd=B(rd);if(ym.test(ja)||tm.test(ja))x.d+=25,W(J,"score\x3d"+x.d+": has paging info");pm.test(ja)&&(x.d-=15,W(J,"score\x3d"+x.d+": has extra regex"));10<Vb.length&&(x.d-=Vb.length,W(J,"score\x3d"+x.d+": text too long"));pd=zm(Vb);0<pd&&(1==pd?x.d-=10:x.d+=0>10-pd?0:10-pd,W(J,"score\x3d"+x.d+": linktxt is a num ("+pd+")"));for(var vc=g,wc=ja,ap=J,xc=void 0,sg=void 0,tg=void 0,xc=Aj.length;xc<gf(vc.length,wc.length)&&vc.charCodeAt(xc)==wc.charCodeAt(xc);xc++);vc=
rg(vc,xc,vc.length);wc=rg(wc,xc,wc.length);W(ap,"remains: "+vc+", "+wc);sg=zm(wc);tg=zm(vc);W(ap,"remains: "+tg+", "+sg);(Dj=0<tg&&0<sg?cf(sg-tg):null)&&1==Dj.a&&(x.d+=25,W(J,"score\x3d"+x.d+": diff \x3d "+Dj))}else W(J,"ignored: no number beyond folder url "+db);else W(J,"ignored: invisible");else W(J,"ignored: not prefix + num");eb=null;if(0!=pg.a.b)for(Gj=th(new vh(pg.a));lh(Gj.a);)we=mh(Gj.a).W(),S(Bj,we.a)||50<=we.d&&(!eb||eb.d<we.d)&&(eb=we);qd=null;if(eb){var Kr=eb.a;Fk();qd=Kr.replace(RegExp("\\/$",
"gi"),"");W(uc[eb.b],"found: score\x3d"+eb.d+", txt\x3d["+eb.c+"], "+qd)}if(3<=Pk){var ze,ug,Xb,Ae,vg;V("numLinks\x3d"+uc.length+", found next: "+(null!=qd?qd:"null"));for(ze=0;ze<uc.length;ze++){ug=uc[ze];Xb=ug.innerText;vg=(Fk(),lg(Xb,"\\s+"));Xb="";for(Ae=0;Ae<vg.length;Ae++)Xb+=vg[Ae],Ae<vg.length-1&&(Xb+=" ");V(ze+")"+ug.href+", txt\x3d["+Xb+"], dbg\x3d["+ch(mm,ug)+"]")}}lf=qd;if(null!=lf){if(void 0==lf)throw new TypeError;kf[1]=lf}if(void 0==kf)throw new TypeError;n[3]=kf}Ol(q,H,"Pagination");
var fa=c.f,yc,Yb,wg,xg,zc,Ac,Kj,wa,Lj,Mj,Nj;wa=(Lj={},Lj[9]=[],Lj);var yg,zg;zg=!1;for(yg=0;yg<fa.a.b.length&&!zg;yg++)zg=N(fa.a,yg).xb();if(!zg){var bp=Ek(fa);if(void 0==bp)throw new TypeError;wa[1]=bp;var Oj,Ag,Bg;Bg="";for(Ag=0;Ag<fa.a.b.length&&!Bg.length;Ag++)Bg=N(fa.a,Ag).vb();Oj=Bg;if(void 0==Oj)throw new TypeError;wa[2]=Oj;var Pj,Cg,Dg;Dg="";for(Cg=0;Cg<fa.a.b.length&&!Dg.length;Cg++)Dg=N(fa.a,Cg).wb();Pj=Dg;if(void 0==Pj)throw new TypeError;wa[3]=Pj;var Qj,Eg,Fg;Eg="";for(Fg=0;Fg<fa.a.b.length&&
!Eg.length;Fg++)Eg=N(fa.a,Fg).rb();Qj=Eg;if(void 0==Qj)throw new TypeError;wa[4]=Qj;var Rj,Gg,Hg;Hg="";for(Gg=0;Gg<fa.a.b.length&&!Hg.length;Gg++)Hg=N(fa.a,Gg).tb();Rj=Hg;if(void 0==Rj)throw new TypeError;wa[5]=Rj;var Sj,Ig,Jg;Ig="";for(Jg=0;Jg<fa.a.b.length&&!Ig.length;Jg++)Ig=N(fa.a,Jg).qb();Sj=Ig;if(void 0==Sj)throw new TypeError;wa[6]=Sj;var Tj,Kg,Lg;Kg="";for(Lg=0;Lg<fa.a.b.length&&!Kg.length;Lg++)Kg=N(fa.a,Lg).pb();Tj=Kg;if(void 0==Tj)throw new TypeError;wa[7]=Tj;var Mg,Ng;Mg=null;for(Ng=0;Ng<
fa.a.b.length&&!Mg;Ng++)Mg=N(fa.a,Ng).ob();if(yc=Mg){Yb=(Mj={},Mj[5]=[],Mj);var cp=yc.d;if(void 0==cp)throw new TypeError;Yb[1]=cp;var dp=yc.c;if(void 0==dp)throw new TypeError;Yb[2]=dp;var ep=yc.b;if(void 0==ep)throw new TypeError;Yb[3]=ep;var fp=yc.e;if(void 0==fp)throw new TypeError;Yb[4]=fp;for(xg=0;xg<yc.a.length;xg++)Yb[5].push(yc.a[xg]);if(void 0==Yb)throw new TypeError;wa[8]=Yb}var Og,Pg;Pg=null;for(Og=0;Og<fa.a.b.length&&!(Pg=N(fa.a,Og).sb(),0<Pg.length);Og++);Kj=Pg;for(wg=0;wg<Kj.length;wg++){zc=
Kj[wg];Ac=(Nj={},wa[9].push(Nj),Nj);var gp=zc.e;if(void 0==gp)throw new TypeError;Ac[1]=gp;var hp=zc.c;if(void 0==hp)throw new TypeError;Ac[2]=hp;var ip=zc.d;if(void 0==ip)throw new TypeError;Ac[3]=ip;var jp=zc.a;if(void 0==jp)throw new TypeError;Ac[4]=jp;var kp=zc.f;if(void 0==kp)throw new TypeError;Ac[5]=kp;var lp=zc.b;if(void 0==lp)throw new TypeError;Ac[6]=lp}}if(void 0==wa)throw new TypeError;n[5]=wa;var mp=U()-v;if(void 0==mp)throw new TypeError;H[5]=mp;if(void 0==H)throw new TypeError;n[6]=
H;var np=c.d;if(void 0==np)throw new TypeError;n[8]=np;d=(jn={},jn);var op=(kn=Am,Am="",kn);if(void 0==op)throw new TypeError;d[1]=op;if(void 0==d)throw new TypeError;n[7]=d;return n}m(207,1,{},function(){});t(207);
function Cl(a){var b;if(0==a.b.length)return null;b=new Bm(a);var c=(z(0,a.b.length),a.b[0]),d;for(d=c.parentNode;d&&9!=d.nodeType;c=d,d=d.parentNode);Uk(new Vk(b),c);b=b.c;for(a=(z(0,a.b.length),a.b[0]);1==b.a.b&&b.b!=a&&3!=Ih(b.a,0).b.nodeType;)b=Ih(b.a,0);a=Cm(b);if(1!=a.nodeType)return null;Dm(a,"ID",D(w(p,1),h,2,4,["*"]));Em(a);Dm(a,"TARGET",D(w(p,1),h,2,4,["A"]));Dm(a,"COLOR",D(w(p,1),h,2,4,["FONT"]));Dm(a,"BGCOLOR",D(w(p,1),h,2,4,["TABLE","TR","TD","TH"]));Dm(a,"STYLE",D(w(p,1),h,2,4,["*"]));
1==a.nodeType&&"IMG"===a.tagName&&Fm(a);c=a.querySelectorAll("IMG");for(b=0;b<c.length;b++)Fm(c[b]);return a}function Gm(a){return a?((a.offsetHeight||0)|0)*((a.offsetWidth||0)|0):0}function Hm(a,b){var c;for(c=a;c&&!c.contains(b);)c=c.parentNode;return c}function Tk(a){var b,c;if(0==a.J())return null;c=a.T(0);for(b=1;b<a.J();b++)c=Hm(c,a.T(b));return c}function Dl(a){var b;b=new Q;Uk(new Vk(new Im(b)),a);return b}function Jm(a){var b;for(b=new Q;a;)b.b[b.b.length]=a,a=a.parentNode;return b}
function Bl(a){var b,c,d;c=new Q;a=A(a,"srcset");if(!a.length)return c;d=Km(a);for(a=0;a<d.length;a++)b=Hk(d[a]),b.length&&(b=lg(b," "),P(c,b[0]));return c}function U(){return"undefined"!==typeof distiller_on_ios&&distiller_on_ios||!window.performance?Date.now():window.performance.now()}function Sk(a){var b,c,d;d=new Q;for(c=0;c<a.length;c++)b=a[c],nm(b)&&(b.offsetParent||0!=((b.offsetHeight||0)|0)||0!=((b.offsetWidth||0)|0))&&(d.b[d.b.length]=b);return d}
function Lm(a,b){var c;if(null==a)return!1;c=$doc.createElement("a");c.href=a;return jf("."+Sc(c,"host"),"."+b)}function nm(a){var b;b=getComputedStyle(a,null);a=parseFloat(b.opacity);return!("none"===b.display||"hidden"===b.visibility||0==a)}
function Em(a){var b,c,d;"A"===a.tagName&&(d=a,d.href.length&&(d.href=d.href));b=a.getElementsByTagName("A");for(c=0;c<b.length;c++)d=b[c],d.href.length&&(d.href=d.href);"VIDEO"===a.tagName&&(c=a,c.poster.length&&(c.poster=c.poster));d=a.getElementsByTagName("VIDEO");for(b=0;b<d.length;b++)c=d[b],c.poster.length&&(c.poster=c.poster);Mm(a);"IMG"===a.tagName&&Nm(a);b=a.querySelectorAll("IMG[SRCSET]");for(a=0;a<b.length;a++)Nm(b[a])}
function Mm(a){("IMG"==a.tagName||"SOURCE"==a.tagName||"TRACK"==a.tagName||"VIDEO"==a.tagName)&&a.src&&(a.src=a.src);a=a.querySelectorAll("img,source,track,video");for(var b in a)a[b].src&&(a[b].src=a[b].src)}function Nm(a){var b,c,d,e;c=A(a,"srcset");if(c.length){d=a.src;e=Km(c);for(c=0;c<e.length;c++)b=Hk(e[c]),b.length&&(b=lg(b," "),a.src=b[0],b[0]=a.src,e[c]=Om(b," "));c=Om(e,", ");a.setAttribute("srcset",c);a.src=d}else a.removeAttribute("srcset")}
function Pm(a){var b,c,d,e;if(null==a||!a.length)return new cj;e=new cj;a=lg(a,"\x26");for(c=0;c<a.length;c++);c=0;for(d=a.length;c<d;++c)if(b=a[c],b=lg(b,"\x3d"),1<b.length){var f=e,g=b[0];if(null==b[1])throw new hf("encodedURL cannot be null");L(f,g,decodeURI(b[1]))}return e}function Dm(a,b,c){var d,e,f;e=0;for(f=c.length;e<f;++e)d=c[e],a.tagName!==d&&"*"!==d||a.removeAttribute(b);d=0;for(e=c.length;d<e;++d);c=Om(c,", ");c=a.querySelectorAll(c);for(a=0;a<c.length;a++)c[a].removeAttribute(b)}
function Fm(a){var b,c,d;b=a.attributes;for(c=0;c<b.length;)d=b[c].nodeName,"src"===d||"alt"===d||"srcset"===d||"dir"===d||"width"===d||"height"===d||"title"===d?++c:a.removeAttribute(d)}function Im(a){this.a=a}m(105,1,{},Im);_.mb=function(){};_.nb=function(a){switch(a.nodeType){case 3:return P(this.a,a),!1;case 1:if(!nm(a))return!1;P(this.a,a);return!0;default:return!1}};t(105);
function Uk(a,b){var c,d;if(a.a.nb(b)){if(d=b.firstChild)for(;d!=b;){c=!1;if(a.a.nb(d)){if(c=d.firstChild){d=c;continue}c=!0}for(;d!=b;){c&&a.a.mb(d);if(c=d.nextSibling){d=c;break}d=d.parentNode;c=!0}}a.a.mb(b)}}function Vk(a){this.a=a}m(61,1,{},Vk);t(61);function Qm(a){var b;a.b="";(b=a.j.querySelector(".byline-name"))&&(a.b=b.textContent)}function Rm(a){this.j=a}m(121,1,{},Rm);
_.ob=function(){var a,b;a=new Sm;if(null==this.d){var c;!this.a&&(this.a=this.j.getElementsByTagName("META"));this.d="";if(b=this.j.querySelector(".dateline"))this.d=b.textContent;else for(b=0;b<this.a.length;b++)if(c=this.a[b],F(c.name,"displaydate")){this.d=c.content;break}}a.d=this.d;b=(null==this.b&&Qm(this),this.b);a.a=b.length?D(w(p,1),h,2,4,[b]):E(p,h,2,0,4);return a};_.pb=function(){return null==this.b&&Qm(this),this.b};
_.qb=function(){if(null==this.c){var a,b;!this.a&&(this.a=this.j.getElementsByTagName("META"));this.c="";for(a=0;a<this.a.length;a++)if(b=this.a[a],F(b.name,"copyright")){this.c=b.content;break}}return this.c};_.rb=function(){return""};
_.sb=function(){if(!this.f){var a,b,c,d,e;this.f=new Q;a=this.j.getElementsByTagName("IMG");for(c=0;c<a.length;c++){e=a[c];var f=d=b=void 0,g=void 0;b=void 0;b=B(e);if(F("FIGURE",b.tagName)){if(d=b.getElementsByTagName("FIGCAPTION"),g=d.length,b="",0<g&&2>=g)for(f=0;f<g&&!b.length;f++)b=d[f].innerText}else b="";(d=null!=b&&b.length)||(d=d=void 0,d=e.width,400>d?d=!1:(d/=e.height,d=1.3<=d&&3>=d));d&&(d=new Tm,d.e=e.src,d.a=b,d.f=e.width,d.b=e.height,P(this.f,d))}}return Rh(this.f,E(Um,da,27,this.f.b.length,
0))};_.tb=function(){if(null==this.i){var a,b,c;this.i="";a=this.j.getElementsByTagName("*");for(c=0;c<a.length&&!this.i.length;c++)b=a[c],this.i=A(b,"publisher"),!this.i.length&&(this.i=A(b,"source_organization"))}return this.i};_.ub=function(){if(null==this.k){var a,b;!this.a&&(this.a=this.j.getElementsByTagName("META"));this.k="";if(0!=this.a.length&&(a=this.j.getElementsByTagName("TITLE"),0!=a.length))for(a=0;a<this.a.length;a++)if(b=this.a[a],F(b.name,"title")){this.k=b.content;break}}return this.k};
_.vb=function(){return""};_.wb=function(){return""};_.xb=function(){if(!this.e){var a,b;!this.a&&(this.a=this.j.getElementsByTagName("META"));this.e=!0;for(a=0;a<this.a.length;a++)if(b=this.a[a],F(b.name,"IE_RM_OFF")){this.g=F(b.content,"true");break}}return this.g};_.a=null;_.b=null;_.c=null;_.d=null;_.e=!1;_.f=null;_.g=!1;_.i=null;_.j=null;_.k=null;t(121);function zm(a){return parseInt(a,10)|0}
function Ol(a,b,c){var d;if(b){b=(d={},b[6].push(d),d);if(void 0==c)throw new TypeError;b[1]=c;a=U()-a;if(void 0==a)throw new TypeError;b[2]=a}}function V(a){null==a&&(a="");-1==a.indexOf("[0;")&&-1==a.indexOf("[1;")||(a+="\u001b[0m");Vm||null==$wnd.console||"function"!=typeof $wnd.console.log&&"object"!=typeof $wnd.console.log||$wnd.console.log(a);Am+=a+"\n"}var Pk=0,Am="",Vm=!1;function Ek(a){var b,c;c="";for(b=0;b<a.a.b.length&&!c.length;b++)c=N(a.a,b).ub();return c}
function Jk(a,b){var c;this.b=b;this.a=new Q;c=U();P(this.a,new Wm(a,this.b));Ol(c,this.b,"OpenGraphProtocolParser");c=U();P(this.a,new Xm(a,this.b));Ol(c,this.b,"SchemaOrgParserAccessor");c=U();P(this.a,new Rm(a));Ol(c,this.b,"IEReadingViewParser")}m(110,1,{},Jk);t(110);function Sm(){}m(62,1,{},Sm);_.a=null;_.b="";_.c="";_.d="";_.e="";t(62);function Tm(){}m(27,1,{27:1},Tm);_.a="";_.b=0;_.c="";_.d="";_.e="";_.f=0;var Um=t(27);
function Ll(a){if(0==a.a.b.length||0!=N(a.a,a.a.b.length-1).b.b.length)P(a.a,new Ym),a.b=null}function Nl(a,b){var c,d,e;d=N(a.a,a.a.b.length-1);0==d.b.b.length?(P(d.b,b),a.b=b):(c=b.a-a.b.a,c=0==c?0:0>c?-1:1,c!=d.a?0!=d.a&&(d=(e=new Ym,P(a.a,e),e),0!=c&&P(d.b,a.b)):0==c&&(d.b.b=E(Wb,da,1,0,3)),P(d.b,b),a.b=b,d.a=c)}function Zm(){this.a=new Q}m(125,1,{},Zm);_.b=null;t(125);function Ym(){this.b=new Q}m(82,1,{},Ym);_.a=0;t(82);function Bm(a){this.b=new $m(a);this.a=new Q;this.d=new Q}m(182,1,{},Bm);
_.mb=function(){this.a.U(this.a.b.length-1);this.d.U(this.d.b.length-1)};_.nb=function(a){if(!this.b.a)return!1;P(this.a,a);P(this.d,null);1==this.d.b.length&&(this.c=new an(a),Qh(this.d,0,this.c));if(bn(this.b,a))for(a=0;a<this.a.b.length;a++)if(null==N(this.d,a)){Qh(this.d,a,new an(N(this.a,a)));var b=N(this.d,a-1),c=N(this.d,a);dk(b.a,c)}return!0};t(182);
function cn(a){var b,c;c=a.b.cloneNode(!1);for(a=Jh(a.a,0);a.b!=a.d.c;)b=(y(a.b!=a.d.c),a.c=a.b,a.b=a.b.a,++a.a,a.c.c),b=cn(b),c.appendChild(b);return c}function Cm(a){var b,c;c=a.b.cloneNode(!1);1==a.b.nodeType&&(b=getComputedStyle(a.b,null).direction,!b.length&&(b="auto"),c.setAttribute("dir",b));for(a=Jh(a.a,0);a.b!=a.d.c;)b=(y(a.b!=a.d.c),a.c=a.b,a.b=a.b.a,++a.a,a.c.c),b=Cm(b),c.appendChild(b);return c}function an(a){this.b=a;this.a=new gk}m(73,1,{},an);t(73);
function dn(){dn=k;en=RegExp("((\\w+):\\s+(http:\\/\\/ogp.me\\/ns(\\/\\w+)*#))\\s*","gi");fn=/^xmlns:(\w+)/i;gn=/^http:\/\/ogp.me\/ns(\/\w+)*#/i}function on(a,b){return G(a.f,b)?K(a.f,b):""}function pn(a,b,c){null!=c&&c.length?(c=c.substr(1,c.length-1),"profile"===c?ai(a.c,(tn(),un),b):"article"===c&&ai(a.c,(tn(),wn),b)):ai(a.c,(tn(),xn),b)}
function zn(a,b){var c,d;this.b=new An;this.d=new Bn;this.a=new Cn;this.e=D(w(Dn,1),da,21,0,[new En("title",(tn(),xn),null),new En("type",xn,null),new En("url",xn,null),new En("description",xn,null),new En("site_name",xn,null),new En("image",xn,this.b),new En("image:",xn,this.b),new En("first_name",un,this.d),new En("last_name",un,this.d),new En("section",wn,this.a),new En("published_time",wn,this.a),new En("modified_time",wn,this.a),new En("expiration_time",wn,this.a),new En("author",wn,this.a)]);
this.f=new cj;this.c=new di(Fn);this.g=b;d=U();var e,f,g;c="";F("HTML",a.tagName)&&(c=A(a,"prefix"));c.length||(g=a.getElementsByTagName("HEAD"),1==g.length&&(c=A(g[0],"prefix")));if(c.length)for(en.lastIndex=0;;){g=en.exec(c);if(!g)break;pn(this,g[2],g[4])}else for(c=a.attributes,g=0;g<c.length;g++)if(f=c[g],e=f.nodeName.toLowerCase(),e=fn.exec(e))f=f.nodeValue,(f=gn.exec(f))&&pn(this,e[1],f[1]);null==Zh(this.c,(tn(),xn))&&ai(this.c,xn,"og");null==Zh(this.c,un)&&ai(this.c,un,"profile");null==Zh(this.c,
wn)&&ai(this.c,wn,"article");Ol(d,this.g,"OpenGraphProtocolParser.findPrefixes");d=U();var l,n;e="";for(g=new gi((new fi(this.c)).a);pi(g.a);)c=(g.b=ri(g.a),new Ti(g.c,g.b)),e+='meta[property^\x3d"'+c.b.b[c.a.b]+'"],';e=rg(e,0,e.length-1);c=a.querySelectorAll(e);for(g=0;g<c.length;g++)for(f=c[g],n=A(f,"property").toLowerCase(),e=0;e<this.e.length;e++)l=Zh(this.c,this.e[e].c)+":",mg(n,l+this.e[e].a)&&(n=qg(n,l.length),l=!0,this.e[e].b&&(l=this.e[e].b.yb(n,f.content,this.f)),l&&L(this.f,this.e[e].a,
f.content));Ol(d,this.g,"OpenGraphProtocolParser.parseMetaTags");d=U();c=this.b;if(0!=c.a.b.length)for(g=c.a.b.length-1;0<=g;g--)e=N(c.a,g)[0],null!=e&&e.length||c.a.U(g);Ol(d,this.g,"OpenGraphProtocolParser.imageParser.verify");d=U();c=Zh(this.c,xn)+":";if(!(G(this.f,"title")?K(this.f,"title"):"").length)throw new Zb('Required "'+c+'title" property is missing.');if(!(G(this.f,"type")?K(this.f,"type"):"").length)throw new Zb('Required "'+c+'type" property is missing.');if(!(G(this.f,"url")?K(this.f,
"url"):"").length)throw new Zb('Required "'+c+'url" property is missing.');if(0==In(this.b).length)throw new Zb('Required "'+c+'image" property is missing.');Ol(d,this.g,"OpenGraphProtocolParser.checkRequired")}m(146,1,{},zn);var fn,gn,en;t(146);function Cn(){this.b=!1;this.a=new Q}m(149,1,{},Cn);_.yb=function(a,b,c){this.b||(c=c.c.eb("type"),this.b=null!=c&&F(c,"article"));return this.b?"author"===a?(P(this.a,b),!1):!0:!1};_.b=!1;t(149);
function In(a){var b,c,d,e;e=E(Um,da,27,a.a.b.length,0);for(b=0;b<a.a.b.length;b++)c=N(a.a,b),d=new Tm,e[b]=d,d.e=null!=c[1]&&c[1].length?c[1]:c[0],null!=c[2]&&(d.c=c[2]),null!=c[3]&&(d.d=c[3]),null!=c[4]&&(d.f=zm(c[4])),null!=c[5]&&(d.b=zm(c[5]));return e}function An(){this.b=D(w(p,1),h,2,4,"image image:url image:secure_url image:type image:width image:height".split(" "));this.a=new Q}m(147,1,{},An);
_.yb=function(a,b){var c,d;if("image"===a)d=E(p,h,2,this.b.length,4),d[0]=b,P(this.a,d);else for(0==this.a.b.length?(d=E(p,h,2,this.b.length,4),P(this.a,d)):d=N(this.a,this.a.b.length-1),c=1;c<this.b.length;c++)if(a===this.b[c]){d[c]=b;break}return!1};t(147);function tn(){tn=k;xn=new Jn("OG",0);un=new Jn("PROFILE",1);wn=new Jn("ARTICLE",2)}function Jn(a,b){C.call(this,a,b)}m(44,8,{3:1,11:1,8:1,44:1},Jn);var wn,xn,un,Fn=u(44,function(){tn();return D(w(Fn,1),ea,44,0,[xn,un,wn])});
function Bn(){this.b=this.a=!1}m(148,1,{},Bn);_.yb=function(a,b,c){this.a||(a=c.c.eb("type"),this.b=null!=a&&F(a,"profile"),this.a=!0);return this.b};_.a=!1;_.b=!1;t(148);function En(a,b,c){this.a=a;this.c=b;this.b=c}m(21,1,{21:1},En);_.a=null;_.b=null;var Dn=t(21);function Kn(a){if(!a.a){var b;var c=a.c,d=a.d;dn();var e,f;try{f=U(),e=new zn(c,d),Ol(f,d,"OpenGraphProtocolParser.parse"),b=e}catch(g){if(g=Cc(g),r(g,15))b=null;else throw Dc(g);}a.b=b;a.a=!0}return!!a.b}
function Wm(a,b){this.c=a;this.d=b;this.a=!1}m(118,1,{},Wm);_.ob=function(){var a;if(Kn(this)){a=new Sm;a.d=on(this.b,"published_time");a.c=on(this.b,"modified_time");a.b=on(this.b,"expiration_time");a.e=on(this.b,"section");var b;b=this.b.a;b=Rh(b.a,E(p,h,2,b.a.b.length,4));a.a=b;return a.e.length||a.d.length||a.c.length||a.b.length||0!=a.a.length?a:null}return null};
_.pb=function(){var a;if(Kn(this)){var b=this.b;a=b.f;b.d.b?(b=a.c.eb("first_name"),null==b&&(b=""),a=a.c.eb("last_name"),null!=a&&b.length&&a.length&&(b+=" "),a=b+a):a=""}else a="";return a};_.qb=function(){return""};_.rb=function(){return Kn(this)?on(this.b,"description"):""};_.sb=function(){return Kn(this)?In(this.b.b):E(Um,da,27,0,0)};_.tb=function(){return Kn(this)?on(this.b,"site_name"):""};_.ub=function(){return Kn(this)?on(this.b,"title"):""};
_.vb=function(){var a;a=Kn(this)?on(this.b,"type"):"";return F(a,"article")?"Article":""};_.wb=function(){return Kn(this)?on(this.b,"url"):""};_.xb=function(){return!1};_.a=!1;t(118);function bn(a,b){if(b!=a.a)return!1;a.a=a.b.Q()?a.b.R():null;return!0}function $m(a){this.b=a.D();a.I()||(this.a=this.b.R())}m(95,1,{},$m);t(95);function Vl(a,b,c){this.a=a;this.b=b;this.c=c}m(91,1,{},Vl);_.a=0;_.b=0;_.c=0;t(91);
function km(a){var b,c,d;d="Type: "+a.e+"\nPageInfo: "+a.a.b.length;d+="\npattern: "+a.d;for(c=new M(a.a);c.b<c.d.J();)b=(y(c.b<c.d.J()),c.d.T(c.c=c.b++)),d+="\n  "+("pg"+b.a+": "+b.b);return d+="\nformula: "+(a.b?Nn(a.b):"null")+"\nnextPagingUrl: "+a.c}function jm(){this.e=(dm(),On);this.a=new Q}function cm(a,b,c,d,e){this.e=(dm(),On);this.e=a;this.d=b;this.a=c;this.b=d;this.c=e}
function bm(a){var b,c,d,e;if(2>a.b.length)return null;c=(z(0,a.b.length),a.b[0]);b=(z(1,a.b.length),a.b[1]);if(d=2==a.b.length)d=c.a,e=b.a,d=4<(d>e?d:e);if(d)return null;d=b.a-c.a;if(0==d)return null;b=~~((b.b-c.b)/d);if(0==b)return null;c=c.b-b*c.a;if(0!=c&&c!=-b)return null;for(d=2;d<a.b.length;d++)if(e=(z(d,a.b.length),a.b[d]),e.b!=b*e.a+c)return null;return new fm(b,c)}
function $l(a,b){var c,d,e,f,g,l,n,q;q=new Pn;f=c=e=-1;n=new dj;for(l=new M(a);l.b<l.d.J();){g=(y(l.b<l.d.J()),l.d.T(l.c=l.b++));d=g.c;if(-1==c)e=d;else if(d!=c+1){if(d<=c||d!=c+2||-1!=f)return q;f=d-1}if(!R(n,cf(g.b)))return q;c=d}q.a=!0;if(-1!=f){if(0>=f||f>=b.b.length-1)return q;c=(z(f,b.b.length),b.b[f]).a;(z(f-1,b.b.length),b.b[f-1]).a==c-1&&(z(f+1,b.b.length),b.b[f+1]).a==c+1&&(q.b=!0,q.c=(z(f+1,b.b.length),b.b[f+1]).b);return q}if((0==e||1==e)&&1==(z(0,b.b.length),b.b[0]).a&&2==(z(1,b.b.length),
b.b[1]).a||2==e&&3==(z(2,b.b.length),b.b[2]).a&&of((z(1,b.b.length),b.b[1]).b)&&!of((z(0,b.b.length),b.b[0]).b))return q.b=!0,q;f=b.b.length;if((c==f-1||c==f-2)&&(z(f-2,b.b.length),b.b[f-2]).a+1==(z(f-1,b.b.length),b.b[f-1]).a)return q.b=!0,q;for(e+=1;e<c;e++)if((z(e-1,b.b.length),b.b[e-1]).a+2==(z(e+1,b.b.length),b.b[e+1]).a){q.b=!0;break}return q}
function am(a,b){var c,d,e,f;if(1>=a.b.length)return!1;c=(z(0,a.b.length),a.b[0]);if(1!=c.a&&!c.b.length)return!1;d=!1;for(f=new M(a);f.b<f.d.J();)if(e=(y(f.b<f.d.J()),f.d.T(f.c=f.b++)),e.b.length)d&&!b.c.length&&(b.c=e.b);else{if(d)return!1;d=!0}if(2==a.b.length)return c.a+1==(z(1,a.b.length),a.b[1]).a;for(d=1;d<a.b.length;d++)if(c=(z(d,a.b.length),a.b[d]),e=(z(d-1,a.b.length),a.b[d-1]),1!=c.a-e.a&&(1!=d&&d!=a.b.length-1||!c.b.length||!e.b.length))return!1;return!0}m(41,1,{},jm,cm);_.tS=function(){return km(this)};
_.b=null;_.c="";_.d="";t(41);function Nn(a){return"coefficient\x3d"+a.a+", delta\x3d"+a.b}function fm(a,b){this.a=a;this.b=b}m(77,1,{},fm);_.tS=function(){return Nn(this)};_.a=0;_.b=0;t(77);function Ql(a,b){this.a=a;this.b=b}m(26,1,{},Ql);_.tS=function(){return"pg"+this.a+": "+this.b};_.a=0;t(26);function Pn(){}m(104,1,{},Pn);_.a=!1;_.b=!1;_.c="";t(104);function dm(){dm=k;On=new Qn("UNSET",0);em=new Qn("PAGE_NUMBER",1);Rn=new Qn("UNKNOWN",2)}function Qn(a,b){C.call(this,a,b)}
m(42,8,{3:1,11:1,8:1,42:1},Qn);var em,Rn,On,Tn=u(42,function(){dm();return D(w(Tn,1),ea,42,0,[On,em,Rn])});
function Un(){X||(X=new dj,R(X,"baixar-gratis"),R(X,"category"),R(X,"content"),R(X,"day"),R(X,"date"),R(X,"definition"),R(X,"etiket"),R(X,"film-seyret"),R(X,"key"),R(X,"keys"),R(X,"keyword"),R(X,"label"),R(X,"news"),R(X,"q"),R(X,"query"),R(X,"rating"),R(X,"s"),R(X,"search"),R(X,"seasons"),R(X,"search_keyword"),R(X,"search_query"),R(X,"sortby"),R(X,"subscriptions"),R(X,"tag"),R(X,"tags"),R(X,"video"),R(X,"videos"),R(X,"w"),R(X,"wiki"))}var X=null,Yl=null;
function hm(a,b){var c;if(a.a){c=a.a;var d=b.a;c=c.b&&!d.b?1:!c.b&&d.b?-1:c.e==d.e?0:c.e==(dm(),em)?1:d.e==em?-1:0;-1==c?(a.a=b.a,a.b=b.b):0==c&&(a.b=!0)}else a.a=b.a,a.b=b.b}function Pl(){}function im(a){this.a=a}m(70,1,{},Pl,im);_.a=null;_.b=!1;t(70);function Ul(a,b,c){var d;d=b.tS();G(a.a,d)?P(K(a.a,d).a,c):L(a.a,d,new Vn(b,c))}function Rl(){this.a=new cj}m(126,1,{},Rl);t(126);function Vn(a,b){this.b=a;this.a=new Q;P(this.a,b)}m(127,1,{},Vn);t(127);function El(){El=k;Gl=/\/$/}
function Ml(a,b,c,d,e){var f;f=c?b:d?b.previousSibling:b.nextSibling;if(!f)return f=b.parentNode,!bo&&(bo=/(BODY)|(HTML)/),bo.test(f.nodeName)?!1:Ml(a,f,!1,d,e);c=!1;switch(f.nodeType){case 3:b=f.nodeValue;if(!b.length||(Fk(),0==Gk.Bb(b)))break;b=f.nodeValue;var g,l,n;if(Xl(b)){co?co.lastIndex=0:co=RegExp("(\\S*[\\w\u00c0-\u1fff\u2c00-\ud7ff]\\S*)","gi");!eo&&(eo=/^[\W_]*(\d+)[\W_]*$/i);for(g=!1;;){l=co.exec(b);if(!l)break;1>=l.length||(l=l[1],n=eo.exec(l),l=-1,n&&1<n.length&&(l=fo(n[1])),0<=l&&100>=
l?(Nl(a.a,new Ql(l,"")),g=!0):Ll(a.a))}b=g}else Ll(a.a),b=!1;if(d||!b)return!1;break;case 1:if(b=f,F("A",b.tagName)){if(d)return!1;++a.c;(b=Kl(a,b,e))?(Nl(a.a,b.a),b=!0):(Ll(a.a),b=!1);if(!b)return!1;break}default:if(!f.hasChildNodes())break;c=!0;d?f=f.lastChild:f=f.firstChild}return Ml(a,f,c,d,e)}
function Kl(a,b,c){var d,e,f,g;if(!nm(b))return null;g=Hk(b.innerText);g=Uf(g,"[()\\[\\]{}]");g=Qg(g);g=fo(g);if(!(0<=g&&100>=g))return null;d=A(b,"href");d.length?(c.setAttribute("href",d),f=c.href):f="";d=!f.length;e=!1;c=null;if(!d){e="javascript:"===f.substr(0,11);c=Hl(f);if(!c||!e&&!F(c.d.host,a.d.d.host))return null;c.d.hash=""}if(!(a=d||e)){b=getComputedStyle(b,null);b=b.cursor.toUpperCase();Tc();a=(Ge(),He);Nc(b);a=a[":"+b];b=D(w(Wb,1),da,1,3,[b]);if(!a)throw new $e(Qc("Enum constant undefined: %s",
b));a=a==(Tc(),Qd)}return a?new ko(g,""):new ko(g,Ua(c.d).replace(Gl,""))}function Fl(a){this.a=new Zm;this.e=a}m(108,1,{},Fl);_.b="";_.c=0;_.d=null;var Gl,bo=null,eo=null,co=null;t(108);function ko(a,b){this.a=new Ql(a,b)}m(79,1,{},ko);t(79);
function lm(){lm=k;sm=RegExp("(next|weiter|continue|\x3e([^\\|]|$)|\u00bb([^\\|]|$))","i");wm=RegExp("(prev|early|old|new|\x3c|\u00ab)","i");xm=/article|body|content|entry|hentry|main|page|pagination|post|text|blog|story/i;vm=RegExp("combx|comment|com-|contact|foot|footer|footnote|masthead|media|meta|outbrain|promo|related|shoutbox|sidebar|sponsor|shopping|tags|tool|widget","i");pm=RegExp("print|archive|comment|discuss|e[\\-]?mail|share|reply|all|login|sign|single|as one|article|post|\u7bc7","i");
tm=/pag(e|ing|inat)/i;ym=/p(a|g|ag)?(e|ing|ination)?(=|\/)[0-9]{1,2}$/i;um=/(first|last)/i;om=/\/?(#.*)?$/;qm=/\d/;mm=new cj}function W(a,b){var c;3>Pk||(c="",ah(mm,a)&&(c=ch(mm,a)),!c.length||(c+="; "),dh(mm,a,c+b))}function Il(a){lm();var b,c;c=$doc.implementation.createHTMLDocument();b=c.createElement("base");b.href=a;(c.head||c.getElementsByTagName("head")[0]).appendChild(b);a=c.createElement("a");c.body.appendChild(a);return a}
function Jl(a,b){lm();var c,d;d=a.getElementsByTagName("BASE");if(0==d.length)return b;c=Il(b);d=A(d[0],"href");c.setAttribute("href",d);return c.href}var pm,um,om,ym,vm,sm,qm,tm,xm,wm,mm;function rm(a,b,c){this.b=a;this.d=0;this.c=b;this.a=c}m(109,1,{},rm);_.b=-1;_.d=0;t(109);function ro(a){var b;null==a.a&&(b=(null==a.c&&(a.c=Wl(a.d)),a.c),b.length?a.a=(Fk(),lg(b,"\\/")):a.a=E(p,h,2,0,4));return a.a}function so(a){this.d=a}
function Hl(a){var b;try{b=new URL(a)}catch(c){b=null}return b?new so(b):null}m(69,1,{69:1},so);_.tS=function(){return Ua(this.d)};_.a=null;_.b=null;var gm=_.c=null,Sl=t(69);function Wl(a){a=a.pathname.replace(/;.*$/,"");a=a.replace(/^\//,"");return a.replace(/\/$/,"")}function vo(a){var b,c;if(2>a.b)return!1;c=ro(a.g);if(4!=c[a.b].length)return!1;b=fo(c[a.b-1]);return 0<b&&12>=b&&(a=fo(c[a.b-2]),1970<a&&3E3>a)?!0:!1}
function wo(a,b){var c,d,e,f;f=b.length;e=f-a.f.length;if(!mg(b,a.e))return!1;c=a.c;for(d=gf(a.d,e);c<d&&b.charCodeAt(c)==a.i.charCodeAt(c);c++);if(c==e){if(d=c+1==a.d)d=a.i.charCodeAt(c),128>d?(e=(Ye(),Ze)[d],!e&&(e=Ze[d]=new We(d)),d=e):d=new We(d),d=/[-_;,]/.test(d);if(d||c+a.f.length==f)return!0}else if(c==a.d&&0<=fo(b.substr(c,e-c)))return!0;return!1}
function Zl(a,b,c,d){var e;a=Ua(a.d);a:{if(47==a.charCodeAt(c-1)&&b<c-1&&(e=a.substr(d,a.length-d).toLowerCase(),!Co&&(Co=/(.s?html?)?$/i),Co.test(e)&&(!Eo&&(Eo=/([^/]*)\/$/i),b=a.substr(b+1,c-(b+1)),(b=Eo.exec(b))&&1<b.length&&(Un(),S(X,b[1].toLowerCase()))))){b=!0;break a}b=!1}if(b)throw new $e("Bad last numeric path component");e=a.substr(c,d-c);b=fo(e);if(0>b)throw new $e("Value in path component is an invalid number: "+e);d=a.substr(0,c)+"[*!]"+a.substr(d,a.length-d);this.g=Hl(d);if(!this.g)throw new $e("Invalid URL: "+
d);this.i=d;this.a=b;this.d=c;this.c=qf(this.i,47,this.d);c=ro(this.g);for(this.b=0;this.b<c.length&&-1==c[this.b].indexOf("[*!]");this.b++);this.e=rg(this.i,0,this.c);d=this.i.length;c=d-this.d-4;0!=c&&(this.f=qg(this.i,d-c))}m(184,1,{},Zl);
_.zb=function(a){if(this.f.length&&!jf(a,this.f))a=!1;else if(47==this.i.charCodeAt(this.d-1))a:{var b,c,d,e;e=a.length;c=this.f.length;d=a.length-c;b=qf(this.g.d.pathname,47,this.c-1-this.g.d.origin.length);if(-1!=b&&(b+=this.g.d.origin.length,b+c==e)){a=yf(a,0,this.i,0,b);break a}mg(a,this.e)?(b=this.c+c,a=b==e?!0:b>e||47!=a.charCodeAt(this.c)?!1:0<=fo(rg(a,this.c+1,d))):a=!1}else a=wo(this,a);return a};
_.Ab=function(a){var b,c;b=ro(a).length;c=ro(this.g).length;if(b>c)return!1;if(1==b&&1==c){c=ro(a)[0];a=ro(this.g)[0];var d;if(c.length&&a.length)for(d=gf(c.length,a.length),b=0;b<d&&c.charCodeAt(b)==a.charCodeAt(b);b++);else b=0;d=b;var e,f,g;e=0;f=c.length-1;for(g=a.length-1;f>d&&g>d&&c.charCodeAt(f)==a.charCodeAt(g);--f,--g,e++);return 2*(e+b)>=c.length}a:{e=ro(a);d=ro(this.g);b=!1;for(c=a=0;a<e.length&&c<d.length;++a,c++)if(a==this.b&&!b)b=!0,e.length<d.length&&--a;else if(!F(e[a],d[c])){a=!1;
break a}a=!0}return!a||vo(this)?!1:!0};_.tS=function(){return this.i};_.a=0;_.b=-1;_.c=0;_.d=0;_.f="";var Co=null,Eo=null;t(184);
function Tl(a,b,c,d){var e;if(!c.length)throw new $e("Empty query name");if(!d.length)throw new $e("Empty query value");if(!Fo(d))throw new $e("Query value has non-digits: "+d);Un();if(S(X,c.toLowerCase()))throw new $e("Query name is bad page param name: "+c);e=fo(d);if(0>e)throw new $e("Query value is an invalid number: "+d);b=(b?"?":"\x26")+c+"\x3d";a=a.d.href.replace(b+d,b+"[*!]");this.i=Hl(a);if(!this.i)throw new $e("Invalid URL: "+a);this.j=a;this.a=e;this.c=a.indexOf("[*!]");this.e=qf(this.j,
63,this.c-1);this.b=qf(this.j,38,this.c-1);-1==this.b&&(this.b=this.e);!Io&&(Io=/\/$/);this.d=rg(this.j,0,this.b).replace(Io,"");e=this.j.length;this.g=e-this.c-4;0!=this.g&&(this.f=qg(this.j,e-this.g+1))}m(183,1,{},Tl);
_.zb=function(a){var b,c;if(0!=this.g&&!jf(a,this.f))return!1;c=a.length-this.g;if(!mg(a,this.d))return!1;if(this.b==c||c==this.b-1&&47==this.j.charCodeAt(c))return!0;b=rg(a,this.b,c).toLowerCase();!Jo&&(Jo=/^\/|(.html?)$/i);return Jo.test(b)?!0:yf(a,this.b,this.j,this.b,this.c-this.b)?0<=fo(rg(a,this.c,c)):!1};_.Ab=function(a){a=(null==a.c&&(a.c=Wl(a.d)),a.c);var b=this.i;null==b.c&&(b.c=Wl(b.d));return F(a,b.c)};_.tS=function(){return this.j};_.a=0;_.b=0;_.c=0;_.e=0;_.f="";_.g=0;
var Io=null,Jo=null;t(183);
function Mo(){Mo=k;No=new cj;L(No,"http://schema.org/ImageObject",(Oo(),Uo));L(No,"http://schema.org/Article",Vo);L(No,"http://schema.org/BlogPosting",Vo);L(No,"http://schema.org/NewsArticle",Vo);L(No,"http://schema.org/ScholarlyArticle",Vo);L(No,"http://schema.org/TechArticle",Vo);L(No,"http://schema.org/Person",Wo);L(No,"http://schema.org/Organization",Xo);L(No,"http://schema.org/Corporation",Xo);L(No,"http://schema.org/EducationalOrganization",Xo);L(No,"http://schema.org/GovernmentOrganization",Xo);
L(No,"http://schema.org/NGO",Xo);Yo=new cj;L(Yo,"IMG","SRC");L(Yo,"AUDIO","SRC");L(Yo,"EMBED","SRC");L(Yo,"IFRAME","SRC");L(Yo,"SOURCE","SRC");L(Yo,"TRACK","SRC");L(Yo,"VIDEO","SRC");L(Yo,"A","HREF");L(Yo,"LINK","HREF");L(Yo,"AREA","HREF");L(Yo,"META","CONTENT");L(Yo,"TIME","DATETIME");L(Yo,"OBJECT","DATA");L(Yo,"DATA","VALUE");L(Yo,"METER","VALUE")}function Zo(a){var b,c,d;b=new Q;for(c=0;c<a.c.b.length;c++)d=N(a.c,c),d.d==(Oo(),Vo)&&P(b,d);return b}
function $o(a,b,c){var d,e,f,g,l;e=null;d=b.hasAttribute("ITEMSCOPE")&&b.hasAttribute("ITEMTYPE");if(c){var n;f=A(b,"ITEMPROP");f.length?(n=(Fk(),lg(f,"\\s+")),f=0<n.length?n:D(w(p,1),h,2,4,[f])):f=E(p,h,2,0,4)}else f=E(p,h,2,0,4);if(d){a:{var q;switch((q=A(b,"ITEMTYPE"),G(No,q)?K(No,q):(Oo(),pp)).b){case 0:e=new qp(b);break;case 1:e=new rp(b);break;case 2:e=new sp(b);break;case 3:e=new tp(b);break;case 4:e=new up(b);break;default:e=null;break a}}!e||e.d==(Oo(),pp)||c&&c.d==(Oo(),pp)&&0!=f.length||
(P(a.c,e),dh(a.b,b,e))}if(0<f.length&&c.d!=(Oo(),pp)&&(!e||e.d!=(Oo(),pp)))for(a=0;a<f.length;a++)e?G(c.b,f[a])&&L(c.b,f[a],e):(d=c,q=f[a],n=(g="",l=b.tagName,G(Yo,l)&&(g=A(b,K(Yo,l))),!g.length&&(g=b.textContent),g),G(d.c,q)&&!K(d.c,q).length&&L(d.c,q,n))}
function vp(a,b){Mo();var c;this.c=new Q;this.b=new cj;this.d=b;c=U();var d,e,f,g,l;d=a.querySelectorAll("[ITEMPROP],[ITEMSCOPE]");$o(this,a,null);for(f=0;f<d.length;f++){for(var n=e=d[f],q=void 0,v=void 0,v=null,q=e;q;){q=B(q);if(!q)break;if(q.hasAttribute("ITEMSCOPE")&&q.hasAttribute("ITEMTYPE")){ah(this.b,q)&&(v=ch(this.b,q));break}}$o(this,n,v)}d=a.querySelectorAll("A[rel\x3dauthor],LINK[rel\x3dauthor]");for(f=0;f<d.length;f++)e=d[f],!this.a.length&&(this.a=(g="",l=e.tagName,(F(l,"A")||F(l,"LINK"))&&
F(A(e,"REL"),"author")&&(g=e.textContent),g));Ol(c,this.d,"SchemaOrgParser.parse")}function wp(a,b){Mo();var c;c=a;a.length&&b.length&&(c+=" ");return c+b}m(28,1,{},vp);_.a="";var Yo,No;t(28);function xp(a,b){return G(a.c,b)?K(a.c,b):""}function yp(a,b){this.a=b;this.d=a;this.c=new cj;this.b=new cj;L(this.c,"name","");L(this.c,"url","");L(this.c,"description","");L(this.c,"image","")}m(45,1,{});t(45);
function zp(a,b){var c,d,e,f;c=G(a.c,b)?K(a.c,b):"";if(c.length)return c;(d=G(a.b,b)?K(a.b,b):null)&&(d.d==(Oo(),Wo)?c=(e=G(d.c,"name")?K(d.c,"name"):"",e.length?e:wp(G(d.c,"givenName")?K(d.c,"givenName"):"",G(d.c,"familyName")?K(d.c,"familyName"):"")):d.d==Xo&&(c=(f=G(d.c,"name")?K(d.c,"name"):"",f.length?f:G(d.c,"legalName")?K(d.c,"legalName"):"")));return c}
function rp(a){yp.call(this,(Oo(),Vo),a);L(this.c,"headline","");L(this.c,"publisher","");L(this.c,"copyrightHolder","");L(this.c,"copyrightYear","");L(this.c,"dateModified","");L(this.c,"datePublished","");L(this.c,"author","");L(this.c,"creator","");L(this.c,"articleSection","");dh(this.b,"publisher",null);dh(this.b,"copyrightHolder",null);dh(this.b,"author",null);dh(this.b,"creator",null);dh(this.b,"associatedMedia",null);dh(this.b,"encoding",null)}m(151,45,{},rp);t(151);
function qp(a){yp.call(this,(Oo(),Uo),a);L(this.c,"contentUrl","");L(this.c,"encodingFormat","");L(this.c,"caption","");L(this.c,"representativeOfPage","");L(this.c,"width","");L(this.c,"height","")}m(150,45,{},qp);t(150);function tp(a){yp.call(this,(Oo(),Xo),a);L(this.c,"legalName","")}m(153,45,{},tp);t(153);function sp(a){yp.call(this,(Oo(),Wo),a);L(this.c,"familyName","");L(this.c,"givenName","")}m(152,45,{},sp);t(152);
function Oo(){Oo=k;Uo=new Ap("IMAGE",0);Vo=new Ap("ARTICLE",1);Wo=new Ap("PERSON",2);Xo=new Ap("ORGANIZATION",3);pp=new Ap("UNSUPPORTED",4)}function Ap(a,b){C.call(this,a,b)}m(32,8,{3:1,11:1,8:1,32:1},Ap);var Vo,Uo,Xo,Wo,pp,Bp=u(32,function(){Oo();return D(w(Bp,1),ea,32,0,[Uo,Vo,Wo,Xo,pp])});function up(a){yp.call(this,(Oo(),pp),a)}m(154,45,{},up);t(154);function Xm(a,b){this.b=a;this.c=b}m(119,1,{},Xm);
_.ob=function(){var a;!this.a&&(this.a=new vp(this.b,this.c));a=Zo(this.a);if(0==a.b.length)a=null;else{a=(z(0,a.b.length),a.b[0]);var b,c;b=new Sm;b.d=G(a.c,"datePublished")?K(a.c,"datePublished"):"";b.c=G(a.c,"dateModified")?K(a.c,"dateModified"):"";b.e=G(a.c,"articleSection")?K(a.c,"articleSection"):"";c=zp(a,"author");!c.length&&(c=zp(a,"creator"));b.a=c.length?D(w(p,1),h,2,4,[c]):E(p,h,2,0,4);a=b}return a};
_.pb=function(){var a,b;!this.a&&(this.a=new vp(this.b,this.c));b="";a=Zo(this.a);0!=a.b.length&&(a=(z(0,a.b.length),a.b[0]),b=zp(a,"author"),!b.length&&(b=zp(a,"creator")));return b.length?b:this.a.a};_.qb=function(){var a;!this.a&&(this.a=new vp(this.b,this.c));a=Zo(this.a);0==a.b.length?a="":(a=(z(0,a.b.length),a.b[0]),a=wp(G(a.c,"copyrightYear")?K(a.c,"copyrightYear"):"",zp(a,"copyrightHolder")),a=a.length?"Copyright "+a:a);return a};
_.rb=function(){var a;!this.a&&(this.a=new vp(this.b,this.c));a=Zo(this.a);return 0==a.b.length?"":xp((z(0,a.b.length),a.b[0]),"description")};
_.sb=function(){var a,b,c,d,e,f,g,l;!this.a&&(this.a=new vp(this.b,this.c));g=new Q;b=Zo(this.a);c=null;for(d=0;d<b.b.length;d++){a=(z(d,b.b.length),b.b[d]);if(!c&&(c=(e=G(a.b,"associatedMedia")?K(a.b,"associatedMedia"):null,!e&&(e=G(a.b,"encoding")?K(a.b,"encoding"):null),e&&e.d==(Oo(),Uo)?e:null)))continue;var n=f=void 0,n=G(a.c,"image")?K(a.c,"image"):"";n.length?(f=new Tm,f.e=n,a=f):a=null;a&&(g.b[g.b.length]=a)}d=this.a;b=new Q;for(a=0;a<d.c.b.length;a++)e=N(d.c,a),e.d==(Oo(),Uo)&&P(b,e);d=!1;
for(e=0;e<b.b.length;e++)f=(z(e,b.b.length),b.b[e]),a=(l=new Tm,l.e=G(f.c,"contentUrl")?K(f.c,"contentUrl"):"",!l.e.length&&(l.e=G(f.c,"url")?K(f.c,"url"):""),l.d=G(f.c,"encodingFormat")?K(f.c,"encodingFormat"):"",l.a=G(f.c,"caption")?K(f.c,"caption"):"",l.f=zm(G(f.c,"width")?K(f.c,"width"):""),l.b=zm(G(f.c,"height")?K(f.c,"height"):""),l),f==c||!d&&F(G(f.c,"representativeOfPage")?K(f.c,"representativeOfPage"):"","true")?(d=!0,Pc(0,g.b.length),g.b.splice(0,0,a)):g.b[g.b.length]=a;return Rh(g,E(Um,
da,27,g.b.length,0))};_.tb=function(){var a,b;!this.a&&(this.a=new vp(this.b,this.c));b="";a=Zo(this.a);0!=a.b.length&&(a=(z(0,a.b.length),a.b[0]),b=zp(a,"publisher"),!b.length&&(b=zp(a,"copyrightHolder")));return b};
_.ub=function(){var a,b,c;!this.a&&(this.a=new vp(this.b,this.c));c="";var d=Zo(this.a),d=new Sh(d),e=new Cp;a=Ie(d.b,d.b.length);b=a.length;var f,g;!e&&(e=(Uh(),Uh(),Vh));f=b-0;g=D(w(Wb,1),da,1,3,[cf(0),cf(b)]);if(!(0<=f))throw new $e(Qc("%s \x3e %s",g));g=Je(a,f);var l=gf(a.length-0,f),n=f=0,q,v,H,lb,Aa;if(null==a)throw new hf("src");if(null==g)throw new hf("dest");lb=za(a);v=za(g);Jc(0!=(lb.f&4),"srcType is not an array");Jc(0!=(v.f&4),"destType is not an array");H=lb.c;q=v.c;Jc(0!=(H.f&1)?H==
q:0==(q.f&1),"Array types don't match");Aa=a.length;q=g.length;if(0>f||0>n||0>l||f+l>Aa||n+l>q)throw new Qe;if(0!=(H.f&1)&&0==(H.f&4)||lb==v)0<l&&Ne(a,f,g,n,l,!0);else if(s(a)===s(g)&&f<n)for(f+=l,l=n+l;l-- >n;)g[l]=a[--f];else for(l=n+l;n<l;)g[n++]=a[f++];Th(g,a,0,b,-0,e);e=d.b.length;for(b=0;b<e;b++)Qh(d,b,a[b]);for(a=0;a<d.b.length&&!c.length;a++)b=(z(a,d.b.length),d.b[a]),c=G(b.c,"headline")?K(b.c,"headline"):"",!c.length&&(c=G(b.c,"name")?K(b.c,"name"):"");return c};
_.vb=function(){!this.a&&(this.a=new vp(this.b,this.c));return 0==Zo(this.a).b.length?"":"Article"};_.wb=function(){var a;!this.a&&(this.a=new vp(this.b,this.c));a=Zo(this.a);return 0==a.b.length?"":xp((z(0,a.b.length),a.b[0]),"url")};_.xb=function(){return!1};t(119);function Cp(){}m(120,1,{},Cp);_.Z=function(a,b){var c,d;c=Gm(a.a);d=Gm(b.a);return c>d?-1:c<d?1:0};t(120);function Fk(){Fk=k;Gk=new Mk}function Xl(a){Fk();return/\d/.test(a)}function Fo(a){Fk();return/^\d+$/.test(a)}
function Dp(a){Fk();return!/\S/.test(a)}function Om(a,b){Fk();return a.join(b)}function Km(a){Fk();return a.split(",")}function Hk(a){Fk();return a.trim()}function fo(a){Fk();return a.length&&Fo(a)?zm(a):-1}var Gk;function Ok(){}m(107,1,{},Ok);_.Bb=function(a){return(a=a.match(/(\S*[\w\u00C0-\u1FFF]\S*)/g))?a.length:0};t(107);function Mk(){}m(78,1,{},Mk);
_.Bb=function(a){var b=a.match(/(\S*[\w\u00C0-\u1FFF\uAC00-\uD7AF]\S*)/g),c=b?b.length:0,b=a.match(/([\u3040-\uA4CF])/g);return c+=Math.ceil(0.55*(b?b.length:0))};t(78);function Nk(){}m(106,1,{},Nk);_.Bb=function(a){return(a=a.match(/(\S*[\w\u00C0-\u1FFF\uAC00-\uD7AF]\S*)/g))?a.length:0};t(106);
function Ep(){Ep=k;Fp=new cj;L(Fp,"COLGROUP",(Se(),Te));L(Fp,"COL",Te);L(Fp,"TH",Ve);Gp=new cj;L(Gp,"EMBED",Te);L(Gp,"OBJECT",Te);L(Gp,"APPLET",Te);L(Gp,"IFRAME",Te);Hp=new dj;R(Hp,"grid");R(Hp,"treegrid");Ip=new dj;R(Ip,"gridcell");R(Ip,"columnheader");R(Ip,"row");R(Ip,"rowgroup");R(Ip,"rowheader");Jp=new dj;R(Jp,"application");R(Jp,"banner");R(Jp,"complementary");R(Jp,"contentinfo");R(Jp,"form");R(Jp,"main");R(Jp,"navigation");R(Jp,"search")}
function Kp(a,b){var c,d,e;for(d=new M(a);d.b<d.d.J();)if(c=(y(d.b<d.d.J()),d.d.T(d.c=d.b++)),e=c.tagName,null==e?bh(b.a,null):void 0!==b.c.eb(e))return!(null==e?Zg(bh(b.a,null)):b.c.eb(e)).a||Lp(c);return!1}function Lp(a){a=a.innerText;return!!a.length&&!Dp(a)}function Mp(a,b,c){2<=Pk&&V(a+b+" -\x3e "+c);return c}
function Np(a){Ep();var b,c,d,e,f,g,l,n;Op();for(f=B(a);f;){if(F("INPUT",f.tagName)||F(A(f,"contenteditable"),"true"))return Mp(Pp,"",(Y(),Qp));f=B(f)}f=A(a,"role").toLowerCase();if("presentation"===f)return Mp(Rp,"_"+f,(Y(),Qp));if(S(Hp,f)||S(Jp,f))return Mp(Rp,"_"+f,(Y(),Sp));f=new Q;g=a.getElementsByTagName("*");if(0<a.getElementsByTagName("TABLE").length)for(e=0;e<g.length;e++)for(c=g[e],d=B(c);d;){if(F("TABLE",d.tagName)){d==a&&(f.b[f.b.length]=c);break}d=B(d)}else for(e=0;e<g.length;e++)P(f,
g[e]);for(g=new M(f);g.b<g.d.J();)if(b=(y(g.b<g.d.J()),g.d.T(g.c=g.b++)),c=A(b,"role").toLowerCase(),S(Ip,c)||S(Jp,c))return Mp(Tp,"_"+c,(Y(),Sp));if("0"===A(a,"datatable"))return Mp(Up,"",(Y(),Qp));if(0<a.getElementsByTagName("TABLE").length)return Mp(Vp,"",(Y(),Qp));g=a.rows;if(1>=g.length)return Mp(Wp,"",(Y(),Qp));c=null;for(d=b=0;d<g.length;d++)e=g[d].cells,e.length>b&&(b=e.length,c=e);d=c;if(!d||1>=d.length)return Mp(Xp,"",(Y(),Qp));if((c=a.caption)&&Lp(c)||a.tHead||a.tFoot||Kp(f,Fp))return Mp(Yp,
"",(Y(),Sp));c=new Q;for(e=new M(f);e.b<e.d.J();)b=(y(e.b<e.d.J()),e.d.T(e.c=e.b++)),F("TD",b.tagName)&&(c.b[c.b.length]=b);for(e=new M(c);e.b<e.d.J();){b=(y(e.b<e.d.J()),e.d.T(e.c=e.b++));if(b.hasAttribute("abbr")||b.hasAttribute("headers")||b.hasAttribute("scope"))return Mp(Zp,"",(Y(),Sp));b=b.getElementsByTagName("*");if(1==b.length&&F("ABBR",b[0].tagName))return Mp($p,"",(Y(),Sp))}e=a.ownerDocument.documentElement;b=(e.offsetWidth||0)|0;if(0<b&&((a.offsetWidth||0)|0)>0.95*b){n=!1;b=e.getElementsByTagName("META");
for(l=0;l<b.length&&!n;l++)n=b[l],n=F(n.name,"viewport");if(!n)return Mp(aq,"",(Y(),Qp))}if(a.hasAttribute("summary"))return Mp(bq,"",(Y(),Sp));if(5<=d.length)return Mp(cq,"",(Y(),Sp));for(d=new M(c);d.b<d.d.J();)if(b=(y(d.b<d.d.J()),d.d.T(d.c=d.b++)),b=getComputedStyle(b,null).borderStyle,b.length&&"none"!==b&&"hidden"!==b)return Mp(dq,"_"+b,(Y(),Sp));l=null;for(b=0;b<g.length;b++)if(d=getComputedStyle(g[b],null).backgroundColor,null==l)l=d;else if(!F(l,d))return Mp(eq,"",(Y(),Sp));if(20<=g.length)return Mp(fq,
"",(Y(),Sp));if(10>=c.b.length)return Mp(gq,"",(Y(),Qp));if(Kp(f,Gp))return Mp(hq,"",(Y(),Qp));f=(e.offsetHeight||0)|0;return 0<f&&((a.offsetHeight||0)|0)>0.9*f?Mp(iq,"",(Y(),Qp)):Mp(jq,"",(Y(),Sp))}var Jp,Ip,Hp,Fp,Gp;
function Op(){Op=k;Pp=new Z("INSIDE_EDITABLE_AREA",0);Rp=new Z("ROLE_TABLE",1);Tp=new Z("ROLE_DESCENDANT",2);Up=new Z("DATATABLE_0",3);Yp=new Z("CAPTION_THEAD_TFOOT_COLGROUP_COL_TH",4);Zp=new Z("ABBR_HEADERS_SCOPE",5);$p=new Z("ONLY_HAS_ABBR",6);aq=new Z("MORE_95_PERCENT_DOC_WIDTH",7);bq=new Z("SUMMARY",8);Vp=new Z("NESTED_TABLE",9);Wp=new Z("LESS_EQ_1_ROW",10);Xp=new Z("LESS_EQ_1_COL",11);cq=new Z("MORE_EQ_5_COLS",12);dq=new Z("CELLS_HAVE_BORDER",13);eq=new Z("DIFFERENTLY_COLORED_ROWS",14);fq=new Z("MORE_EQ_20_ROWS",
15);gq=new Z("LESS_EQ_10_CELLS",16);hq=new Z("EMBED_OBJECT_APPLET_IFRAME",17);iq=new Z("MORE_90_PERCENT_DOC_HEIGHT",18);jq=new Z("DEFAULT",19);kq=new Z("UNKNOWN",20)}function Z(a,b){C.call(this,a,b)}m(16,8,{3:1,11:1,8:1,16:1},Z);var Zp,Yp,dq,Up,jq,eq,hq,Pp,gq,Xp,Wp,iq,aq,fq,cq,Vp,$p,Tp,Rp,bq,kq,lq=u(16,function(){Op();return D(w(lq,1),ea,16,0,[Pp,Rp,Tp,Up,Yp,Zp,$p,aq,bq,Vp,Wp,Xp,cq,dq,eq,fq,gq,hq,iq,jq,kq])});function Y(){Y=k;Sp=new mq("DATA",0);Qp=new mq("LAYOUT",1)}
function mq(a,b){C.call(this,a,b)}m(56,8,{3:1,11:1,8:1,56:1},mq);var Sp,Qp,nq=u(56,function(){Y();return D(w(nq,1),ea,56,0,[Sp,Qp])});function oq(a,b){var c;c=pq(b);a.appendChild(c);return c}function pq(a){var b;b=a.cloneNode(!1);1==a.nodeType&&(a=getComputedStyle(a,null).direction,!a.length&&(a="auto"),b.setAttribute("dir",a));return b}function qq(a,b){var c;c=a.parentNode;c||(c=pq(b),c.appendChild(a));return c}function rq(a){return tl(N(a.j,N(a.i,0).a))}function sq(a,b){return S(a.b,b)}
function Yk(a,b){a.g+="\n";a.g+=b.g;a.d+=b.d;a.e+=b.e;a.c=0==a.d?0:a.e/a.d;a.a|=b.a;Nh(a.i,b.i);a.b.G(b.b);a.f=gf(a.f,b.f)}function el(a,b){if(b==a.a)return!1;a.a=b;return!0}function tq(a){var b;b="["+(N(a.j,N(a.i,0).a).j+"-"+N(a.j,N(a.i,a.i.b.length-1).a).j+";");b+="tl\x3d"+a.f+";";b+="nw\x3d"+a.d+";";b+="ld\x3d"+a.c+";";b=b+"]\t"+((a.a?"\u001b[0;32mCONTENT":"\u001b[0;35mboilerplate")+"\u001b[0m,");b+="\u001b[1;30m"+Vg(new Ck(a.b))+"\u001b[0m";return b+="\n"+a.g}
function Xk(a,b){var c,d;this.j=a;this.i=new Q;P(this.i,cf(b));c=N(this.j,b);this.b=(d=c.e,c.e=new dj,d);this.d=c.i;this.e=c.g;this.f=c.n;this.g=c.o;this.c=0==this.d?0:this.e/this.d}m(72,1,{},Xk);_.tS=function(){return tq(this)};_.a=!1;_.c=0;_.d=0;_.e=0;_.f=0;t(72);function Zk(a){this.a=a}m(81,1,{},Zk);t(81);function uq(){uq=k;vq=new dj;R(vq,"IMG");R(vq,"FIGURE");wq=D(w(p,1),h,2,4,["data-src","data-original","datasrc","data-url"])}
function xq(a){var b;b=$doc.createElement("FIGCAPTION");b.textContent=a.innerText||"";return b}function yq(a,b){var c,d,e;if(!S(vq,b.tagName))return null;a.b="";return"IMG"===b.tagName?(zq(a,b),new Aq(b,a.c,a.a,a.b)):"FIGURE"===b.tagName&&(e=Bq(b,"IMG"))?(zq(a,e),(c=Bq(b,"FIGCAPTION"))?d=Bq(c,"A")?c:xq(c):d=xq(b),new Cq(e,a.c,a.a,a.b,d)):null}
function zq(a,b){var c,d,e,f;d=wq;e=0;for(f=d.length;e<f&&(c=d[e],a.b=A(b,c),!a.b.length);++e);a.b.length?(a.c=0,a.a=0):(a.b=b.src,a.c=b.width,a.a=b.height);2<=Pk&&V("Extracted WebImage: "+a.b)}function Bq(a,b){var c;c=a.getElementsByTagName(b);return 0<c.length?c[0]:null}function Dq(){uq()}m(132,1,{},Dq);_.Cb=function(a){return yq(this,a)};_.Db=function(){return vq};_.a=0;_.c=0;var wq,vq;t(132);function Eq(){Eq=k;Fq=new dj;R(Fq,"BLOCKQUOTE");R(Fq,"IFRAME")}
function Gq(a){var b;if(-1==A(a,"class").indexOf("twitter-tweet"))return null;b=a.getElementsByTagName("a");if(0==b.length)return null;b=b[b.length-1];if(!Lm(b.href,"twitter.com"))return null;a:{var c;c=lg(Sc(b,"pathname"),"/");for(b=c.length-1;0<=b;b--)if(0<c[b].length){b=c[b];break a}b=null}return null==b?null:new Hq(a,"twitter",b,null)}
function Iq(a){var b;if("IFRAME"!==a.tagName||a.src.length)return null;b=a.contentWindow.document;if(!b)return null;b=b.getElementsByTagName("blockquote");if(1>b.length)return null;b=A(b[0],"data-tweet-id");return b.length?new Hq(a,"twitter",b,null):null}function Jq(){Eq()}m(133,1,{},Jq);_.Cb=function(a){var b;a&&S(Fq,a.tagName)?(b=null,"BLOCKQUOTE"===a.tagName?b=Gq(a):"IFRAME"===a.tagName&&(b=Iq(a)),b&&2<=Pk&&(V("Twitter embed extracted:"),V("    ID: "+b.b)),a=b):a=null;return a};_.Db=function(){return Fq};
var Fq;t(133);function Kq(){Kq=k;Lq=new dj;R(Lq,"IFRAME")}function Mq(a){var b,c;if(!a||!S(Lq,a.tagName))return null;c=a.src;if(!Lm(c,"player.vimeo.com"))return null;b=$doc.createElement("a");b.href=c;c=Sc(b,"pathname");b=Pm(qg(Sc(b,"search"),1));a:{var d;d=lg(c,"/");for(c=d.length-1;0<=c&&"video"!==d[c];c--)if(0<d[c].length){c=d[c];break a}c=null}if(null==c)return null;2<=Pk&&(V("Vimeo embed extracted:"),V("    ID:    "+c));return new Hq(a,"vimeo",c,b)}function Nq(){Kq()}m(134,1,{},Nq);_.Cb=function(a){return Mq(a)};
_.Db=function(){return Lq};var Lq;t(134);function Oq(){Oq=k;Pq=new dj;R(Pq,"IFRAME");R(Pq,"OBJECT")}
function Qq(a){var b,c,d;if(!a||!S(Pq,a.tagName))return null;d=null;"IFRAME"===a.tagName?d=a.src:"OBJECT"===a.tagName&&("application/x-shockwave-flash"===A(a,"type")?d=A(a,"data"):(b=a.querySelectorAll('param[name\x3d"movie"]'),1==b.length&&(d=A(b[0],"value"))));if(null==d||!Lm(d,"youtube.com"))return null;c=d.indexOf("?");0>c&&(c=d.indexOf("\x26"));0>c&&(c=d.length);b=d.substr(0,c);d=Pm(d.substr(c+1,d.length-(c+1)));a:{c=lg(b,"/");for(b=c.length-1;0<=b&&"embed"!==c[b];b--)if(0<c[b].length){b=c[b];
break a}b=null}if(null==b)return null;2<=Pk&&(V("YouTube embed extracted:"),V("    ID:    "+b));return new Hq(a,"youtube",b,d)}function Rq(){Oq()}m(135,1,{},Rq);_.Cb=function(a){return Qq(a)};_.Db=function(){return Pq};var Pq;t(135);
function $k(a,b,c){if(!(1>Pk))if(b){V("\u001b[0;34m\x3c\x3c\x3c\x3c\x3c "+c+" \x3e\x3e\x3e\x3e\x3e");if(!(1>Pk)){b="";for(c=new M(a.a);c.b<c.d.J();)a=(y(c.b<c.d.J()),c.d.T(c.c=c.b++)),b+=tq(a)+"\n";V(b)}V("\u001b[0;34m\x3c\x3c\x3c\x3c\x3c                \x3e\x3e\x3e\x3e\x3e")}else V("\u001b[0;31m~~~~~ No Changes: "+c+" ~~~~~")}
function al(){al=k;bl=RegExp("(^(comments|\u00a9 reuters|please rate this|post a comment|\\d+\\s+(comments|users responded in))|what you think\\.\\.\\.|add your comment|add comment|reader views|have your say|reader comments|r\u00e4tta artikeln|^thanks for your comments - this feedback is now closed$)","i")}var bl;function ll(){ll=k;ml=new Sq(!1);pl=new Sq(!0)}
function kl(a,b){var c,d,e,f,g;c=b.a;if(2>c.b.length)return!1;d=!1;g=(z(0,c.b.length),c.b[0]);for(f=new ph(c,1);f.b<f.d.J();)c=(y(f.b<f.d.J()),f.d.T(f.c=f.b++)),c.a&&g.a?(e=N(c.j,N(c.i,0).a).j-N(g.j,N(g.i,g.i.b.length-1).a).j-1,1>=e?(e=!0,a.a?g.f!=c.f&&(e=!1):S(c.b,"BOILERPLATE_HEADING_FUSED")&&(e=!1),S(g.b,"STRICTLY_NOT_CONTENT")!=S(c.b,"STRICTLY_NOT_CONTENT")&&(e=!1),S(g.b,"de.l3s.boilerpipe/TITLE")!=S(c.b,"de.l3s.boilerpipe/TITLE")&&(e=!1),!g.a&&S(g.b,"de.l3s.boilerpipe/LI")&&!S(c.b,"de.l3s.boilerpipe/LI")&&
(e=!1),e?(Yk(g,c),oh(f),d=!0):g=c):g=c):g=c;return d}function Sq(a){this.a=a}m(85,1,{},Sq);_.tS=function(){return Wa(Tq),Tq.n+": postFiltering\x3d"+this.a};_.a=!1;var pl,ml,Tq=t(85);function Uq(){Uq=k;dl=RegExp("[\\?\\!\\.\\-\\:]+","g")}function Vq(a,b,c){var d,e;e=lg(b,c);if(1!=e.length)for(b=0;b<e.length;b++)d=e[b],-1==d.indexOf(".com")&&(c=(Fk(),Gk.Bb(d)),4<=c&&R(a,d))}
function Wq(a,b){var c,d,e,f,g,l;l=lg(a,b);if(1==l.length)return null;d=0;e="";for(c=0;c<l.length;c++)if(g=l[c],-1==g.indexOf(".com")&&(f=(Fk(),Gk.Bb(g)),f>d||g.length>e.length))d=f,e=g;return 0==e.length?null:Qg(e)}
function cl(a){Uq();var b;if(a)for(this.a=new dj,a=Jh(a,0);a.b!=a.d.c;){b=(y(a.b!=a.d.c),a.c=a.b,a.b=a.b.a,++a.a,a.c.c);var c=void 0;b=zf(b);b=Uf(b,"'");b=Qg(b).toLowerCase();0!=b.length&&R(this.a,b)&&(c=Wq(b,"[ ]*[\\|\u00bb|-][ ]*"),null!=c&&R(this.a,c),c=Wq(b,"[ ]*[\\|\u00bb|:][ ]*"),null!=c&&R(this.a,c),c=Wq(b,"[ ]*[\\|\u00bb|:\\(\\)][ ]*"),null!=c&&R(this.a,c),c=Wq(b,"[ ]*[\\|\u00bb|:\\(\\)\\-][ ]*"),null!=c&&R(this.a,c),c=Wq(b,"[ ]*[\\|\u00bb|,|:\\(\\)\\-][ ]*"),null!=c&&R(this.a,c),c=Wq(b,"[ ]*[\\|\u00bb|,|:\\(\\)\\-\u00a0][ ]*"),
null!=c&&R(this.a,c),Vq(this.a,b,"[ ]+[\\|][ ]+"),Vq(this.a,b,"[ ]+[\\-][ ]+"),R(this.a,ig(b," - [^\\-]+$")),R(this.a,ig(b,"^[^\\-]+ - ")))}else this.a=null}m(136,1,{},cl);var dl;t(136);function ql(){ql=k;rl=new Xq(!0)}function Xq(a){this.a=a}m(87,1,{},Xq);_.a=!1;var rl;t(87);function Yq(a,b,c){b=N(a.d,b);c=N(a.d,c);return a.c||(b.nodeType!=c.nodeType?0:1!=b.nodeType||b.nodeName===c.nodeName)?b.parentNode==c.parentNode:!1}
function il(a,b){var c,d,e,f,g,l,n,q,v,H;a.g=b.a;if(2>a.g.b.length)return!1;d=a.g;e=$doc.documentElement;l=new Q;for(f=0;f<d.b.length;++f){g=f+1==d.b.length?e:rq((z(f+1,d.b.length),d.b[f+1]));0==f?n=e:(n=(z(f-1,d.b.length),d.b[f-1]),n=sl(N(n.j,N(n.i,n.i.b.length-1).a)));v=n;n=rq((z(f,d.b.length),d.b[f]));for(q=n.parentNode;!q.contains(v)&&!q.contains(g);)n=q,q=q.parentNode;l.b[l.b.length]=n}a.d=l;l=E(Zq,{3:1},0,a.g.b.length,7);q=n=0;d=E(Zq,{3:1},0,a.g.b.length,7);f=e=0;g=!1;for(v=0;v<a.g.b.length;v++)if(!a.b&&
sq(N(a.g,v),"de.l3s.boilerpipe/TITLE")||!a.a&&sq(N(a.g,v),"de.l3s.boilerpipe/HEADING"))n=q,e=f;else if(N(a.g,v).a&&!sq(N(a.g,v),"STRICTLY_NOT_CONTENT")&&!sq(N(a.g,v),"de.l3s.boilerpipe/TITLE"))for(l[q++]=v,H=e;H<f;H++)c=d[H],v-c>a.e?H==e&&++e:Yq(a,v,c)&&(g=!0,el(N(a.g,c),!0),d[H]=d[e++]);else if(N(a.g,v).c<=a.f&&!N(a.g,v).a&&!sq(N(a.g,v),"STRICTLY_NOT_CONTENT")&&!sq(N(a.g,v),"de.l3s.boilerpipe/TITLE")){for(H=n;H<q;H++)if(c=l[H],v-c>a.e)H==n&&++n;else if(Yq(a,v,c)){g=!0;el(N(a.g,v),!0);l[H]=l[n++];
break}H==q?d[f++]=v:l[q++]=v}return g}function $q(a,b,c,d,e){this.b=a;this.a=b;this.c=c;this.f=d;this.e=e}m(138,1,{},$q);_.a=!1;_.b=!1;_.c=!1;_.e=0;_.f=0;t(138);function hl(){var a=new ar;a.a=!0;return a}function jl(a){return new $q(a.b,a.a,a.c,a.e,a.d)}function ar(){this.c=this.a=this.b=!1;this.d=this.e=0}m(84,1,{},ar);_.a=!1;_.b=!1;_.c=!1;_.d=0;_.e=0;t(84);function nl(){nl=k;ol=new br("de.l3s.boilerpipe/TITLE")}function br(a){this.a=a}m(86,1,{},br);var ol;t(86);
function fl(){fl=k;gl=new xr(D(w(p,1),h,2,4,["STRICTLY_NOT_CONTENT"]))}function xr(a){this.a=a}m(137,1,{},xr);var gl;t(137);
function Er(a,b){var c,d,e,f,g,l,n;n=nm(b);g=l=!1;!n&&a.i&&a.d&&(a.f||(g=b.classList.contains("hidden")),(a.f||g)&&(l=!0));var q=n||l,v;2>Pk||(v=getComputedStyle(b,null),V((q?"KEEP ":"SKIP ")+b.tagName+": id\x3d"+b.id+", dsp\x3d"+v.display+", vis\x3d"+v.visibility+", opaq\x3d"+v.opacity));if(!n&&!l)return R(a.e,b),!1;try{if(S(a.b,b.tagName))for(f=new M(a.c);f.b<f.d.J();)if(e=(y(f.b<f.d.J()),f.d.T(f.c=f.b++)),c=e.Cb(b))return d=a.a,Wk(d,d.d),P(d.b.a,c),!1}catch(H){if(H=Cc(H),r(H,15))d=H,V("Exception happened in EmbedExtractors: "+
d.q());else throw Dc(H);}if("IFRAME"===b.tagName)return!1;Fr(b.tagName)&&(d=a.a,c=new Gr(b.tagName,(yl(),zl)),Wk(d,d.d),P(d.b.a,c));switch(b.tagName){case "BR":return g=a.a,g.c&&(Wk(g,g.d),++g.d,g.c=!1),g=g.g,g.j+="\n",P(g.a,b),!1;case "TABLE":d=Np(b);2>Pk||(c=B(b),V("TABLE: "+d+", id\x3d"+b.id+", class\x3d"+A(b,"class")+", parent\x3d["+c.tagName+", id\x3d"+c.id+", class\x3d"+A(c,"class")+"]"));if(d==(Y(),Sp))return g=a.a,Wk(g,g.d),P(g.b.a,new Lr(b)),!1;break;case "VIDEO":return g=a.a,d=new Mr(b),
Wk(g,g.d),P(g.b.a,d),!1;case "OPTION":case "OBJECT":case "EMBED":case "APPLET":return a.a.c=!0,!1;case "HEAD":case "STYLE":case "SCRIPT":case "LINK":case "NOSCRIPT":case "IFRAME":return!1}d=a.a;Nr();f=getComputedStyle(b,null);c=new Or;e=b.tagName;switch(f.display){case "inline":break;case "inline-block":case "inline-flex":c.a=!0;break;case "block":if("none"!==f["float"]&&"SPAN"===e)break;default:c.b=!0,c.a=!0}if("HTML"!==e&&"BODY"!==e)switch(l=A(b,"class"),f=b.classList.length,n=A(b,"id"),(Pr.test(l)||
Pr.test(n))&&5>=f&&(f=c.d,f[f.length]="STRICTLY_NOT_CONTENT"),e){case "ASIDE":case "NAV":e=c.d;e[e.length]="STRICTLY_NOT_CONTENT";break;case "LI":e=c.d;e[e.length]="de.l3s.boilerpipe/LI";break;case "H1":e=c.d;e[e.length]="de.l3s.boilerpipe/H1";e=c.d;e[e.length]="de.l3s.boilerpipe/HEADING";break;case "H2":e=c.d;e[e.length]="de.l3s.boilerpipe/H2";e=c.d;e[e.length]="de.l3s.boilerpipe/HEADING";break;case "H3":e=c.d;e[e.length]="de.l3s.boilerpipe/H3";e=c.d;e[e.length]="de.l3s.boilerpipe/HEADING";break;
case "H4":case "H5":case "H6":e=c.d;e[e.length]="de.l3s.boilerpipe/HEADING";break;case "A":c.a=!0,b.hasAttribute("href")&&(c.c=!0)}P(d.a.a,c);c.a&&++d.f;c.c&&(e=d.g,e.e=!0,e.j+=" ");d.c|=c.b;d=(Se(),a.f?Ve:Te);P(a.g.a,d);a.f|=g;return!0}function Rk(a){var b;this.g=new jk;this.e=new dj;this.a=a;this.c=new Q;P(this.c,new Dq);P(this.c,new Jq);P(this.c,new Nq);P(this.c,new Rq);this.b=new dj;for(b=new M(this.c);b.b<b.d.J();)a=(y(b.b<b.d.J()),b.d.T(b.c=b.b++)),Ug(this.b,a.Db())}m(123,1,{},Rk);
_.mb=function(a){if(1==a.nodeType&&Fr(a.tagName)){var b=this.a;a=new Gr(a.tagName,(yl(),Qr));Wk(b,b.d);P(b.b.a,a)}b=this.a;a=b.a;var c;c=a.a.b.length;if(0<c)a=(hk(c-1,a.a.b.length),N(a.a,c-1));else throw new Yh;a.a&&--b.f;if(b.c||a.b)Wk(b,b.d),++b.d;a.c&&(a=b.g,a.e=!1,a.j+=" ");ik(b.a);this.f=ik(this.g).a};
_.nb=function(a){switch(a.nodeType){case 3:var b=this.a;b.c&&(Wk(b,b.d),++b.d,b.c=!1);var c=b.g,b=b.f,d;d=a.data;d.length&&(c.j+=d,P(c.a,a),Dp(d)||(a=(Fk(),Gk.Bb(d)),c.i+=a,c.e&&(c.g+=a),c.f=c.a.b.length-1,c.d<c.c&&(c.d=c.f),-1==c.b&&(c.b=b)));return!1;case 1:return Er(this,a);default:return!1}};_.d=!1;_.f=!1;_.i=!1;t(123);function Nr(){Nr=k;Pr=/\bcomments?\b/}function Or(){this.d=[]}m(179,1,{},Or);_.a=!1;_.b=!1;_.c=!1;var Pr;t(179);function Rr(){this.a=new Q}m(116,1,{},Rr);t(116);
function Wk(a,b){var c;c=a.g;var d=a.e;c.c==c.a.b.length?c=null:c.d<c.c?(Sr(c),c=null):(d=new Tr(c.j,c.a,c.c,c.a.b.length,c.d,c.f,c.i,c.g,c.b,d),Sr(c),c=d);if(c){c.d=b;++a.e;var e,f;for(e=new M(a.a.a);e.b<e.d.J();)for(d=(y(e.b<e.d.J()),e.d.T(e.c=e.b++)),f=0;f<d.d.length;f++)R(c.e,d.d[f]);P(a.b.a,c)}}function Qk(){this.b=new Rr;this.a=new jk;this.g=new Ur;this.d=0}m(122,1,{},Qk);_.c=!1;_.d=0;_.e=0;_.f=0;t(122);m(215,1,{});_.p=!1;t(215);
function Hq(a,b,c,d){this.a=new Q;this.b=c;P(this.a,a);this.c=b;!d&&new cj}m(57,215,{},Hq);_.Eb=function(a){if(a)return"";a=$doc.createElement("div");a.className="embed-placeholder";a.setAttribute("data-type",this.c);a.setAttribute("data-id",this.b);return a.outerHTML};t(57);function Al(a){var b;b=a.d.cloneNode(!1);b.src=a.e;b.src=b.src;0<a.f&&0<a.c&&(b.width=a.f,b.height=a.c);Nm(b);Fm(b);a.b=b}function Aq(a,b,c,d){this.d=a;this.f=b;this.c=c;this.e=d;null==this.e&&(this.e="")}m(35,215,{35:1},Aq);
_.Eb=function(a){if(a)return"";!this.b&&Al(this);return this.b.outerHTML};_.c=0;_.f=0;t(35);function Cq(a,b,c,d,e){Aq.call(this,a,b,c,d);this.a=e}m(186,35,{35:1},Cq);_.Eb=function(a){var b;b=Cl(Dl(this.a));if(a)return b.innerText;a=$doc.createElement("FIGURE");var c=(!this.b&&Al(this),this.b);a.appendChild(c);!this.a.innerHTML.length||a.appendChild(b);return a.outerHTML};t(186);function Lr(a){this.b=a}m(68,215,{68:1},Lr);
_.Eb=function(a){!this.a&&(this.a=Cl(Dl(this.b)));if(a){a=this.a;var b;$doc.body.appendChild(a);b=a.innerText;$doc.body.removeChild(a);a=b}else a=this.a.outerHTML;return a};t(68);function Vr(){Vr=k;Wr=new dj;R(Wr,"UL");R(Wr,"OL");R(Wr,"LI");R(Wr,"BLOCKQUOTE");R(Wr,"PRE")}function Gr(a,b){Vr();this.a=a;this.b=b}function Fr(a){Vr();return S(Wr,a)}m(51,215,{51:1},Gr);_.Eb=function(a){return a?"":"\x3c"+(this.b==(yl(),zl)?"":"/")+this.a+"\x3e"};var Wr;t(51);
function yl(){yl=k;zl=new Xr("START",0);Qr=new Xr("END",1)}function Xr(a,b){C.call(this,a,b)}m(52,8,{3:1,11:1,8:1,52:1},Xr);var Qr,zl,Yr=u(52,function(){yl();return D(w(Yr,1),ea,52,0,[zl,Qr])});function tl(a){return N(a.a,a.c)}
function Zr(){$||($=new dj,R($,"B"),R($,"BIG"),R($,"I"),R($,"SMALL"),R($,"TT"),R($,"ABBR"),R($,"ACRONYM"),R($,"CITE"),R($,"CODE"),R($,"DFN"),R($,"EM"),R($,"KBD"),R($,"STRONG"),R($,"SAMP"),R($,"TIME"),R($,"VAR"),R($,"A"),R($,"BDO"),R($,"IMG"),R($,"MAP"),R($,"Q"),R($,"SPAN"),R($,"SUB"),R($,"SUP"),R($,"BUTTON"),R($,"INPUT"),R($,"LABEL"),R($,"SELECT"),R($,"TEXTAREA"));return $}function sl(a){return N(a.a,a.f)}
function Tr(a,b,c,d,e,f,g,l,n,q){this.o=a;this.a=b;this.k=c;this.b=d;this.c=e;this.f=f;this.i=g;this.g=l;this.e=new dj;this.n=n;this.j=q}m(34,215,{34:1},Tr);
_.Eb=function(a){var b,c,d;if(S(this.e,"de.l3s.boilerpipe/TITLE"))return"";d=new rh(this.a,this.k,this.b);var e;if(1==d.b)b=cn(new an((z(0,d.b),N(d.c,d.a))));else{c=(z(0,d.b),N(d.c,d.a));b=c.cloneNode(!1);for(d=new $m(d);d.a;)if(bn(d,c)){if(!d.a)break;for(;;){for(e=c.nextSibling;e&&!e.contains(d.a);)e=e.nextSibling;if(e){b=qq(b,c.parentNode);b=oq(b,e);c=e;break}c=c.parentNode;b=qq(b,c)}}else{for(c=c.firstChild;!c.contains(d.a);)c=c.nextSibling;b=oq(b,c)}for(;b.parentNode;)b=b.parentNode}1!=b.nodeType&&
(c=B(qh(new rh(this.a,this.k,this.b),0)).cloneNode(!1),c.appendChild(b),b=c);"BODY"===b.tagName&&(c=$doc.createElement("div"),c.innerHTML=b.innerHTML||"",b=c);for(d=null;S(Zr(),b.tagName);){d||(d=Tk(new rh(this.a,this.k,this.b)),1!=d.nodeType&&(d=B(d)));d=B(d);if("BODY"===d.tagName)break;c=d.cloneNode(!1);c.appendChild(b);b=c}Em(b);Dm(b,"TARGET",D(w(p,1),h,2,4,["A"]));Dm(b,"ID",D(w(p,1),h,2,4,["*"]));c=b;1==c.nodeType&&c.hasAttribute("class")&&(-1!=A(c,"class").indexOf("caption")?c.className="caption":
c.removeAttribute("class"));c=c.querySelectorAll("[class]");for(d=0;d<c.length;d++)-1!=A(c[d],"class").indexOf("caption")?c[d].className="caption":c[d].removeAttribute("class");Dm(b,"COLOR",D(w(p,1),h,2,4,["FONT"]));Dm(b,"STYLE",D(w(p,1),h,2,4,["*"]));return a?b.innerText:Fr(b.tagName)?b.innerHTML:b.outerHTML};_.b=0;_.c=0;_.d=0;_.f=0;_.g=0;_.i=0;_.j=0;_.k=0;_.n=0;var $=null;t(34);function Sr(a){a.j="";a.i=0;a.g=0;a.c=a.a.b.length;a.b=-1}function Ur(){this.a=new Q}m(155,1,{},Ur);_.b=-1;_.c=0;_.d=-1;
_.e=!1;_.f=0;_.g=0;_.i=0;_.j="";t(155);function Mr(a){this.a=a}m(178,215,{},Mr);_.Eb=function(a){var b,c;if(a)return"";c=this.a.cloneNode(!1);for(a=0;a<this.a.childNodes.length;a++)b=this.a.childNodes[a],1!=b.nodeType||"SOURCE"!==b.tagName&&"TRACK"!==b.tagName||(b=b.cloneNode(!1),c.appendChild(b));c.poster.length&&(c.poster=c.poster);Mm(c);Dm(c,"ID",D(w(p,1),h,2,4,["*"]));return c.outerHTML};t(178);m(217,1,{});
_.Gb=function(a){var b;b=0;a&&(b=this.Fb(a));2<=Pk&&V(fb(this.cZ)+": "+b+"/"+this.Hb());return gf(b,this.Hb())};t(217);function ul(){this.b=25;this.c=75E3;this.a=2E5}m(156,217,{},ul);_.Fb=function(a){a=((a.offsetWidth||0)|0)*((a.offsetHeight||0)|0);if(a<this.c)return 0;a=Va((a-this.c)/(this.a-this.c)*this.b);return gf(a,this.b)};_.Hb=function(){return this.b};_.a=0;_.b=0;_.c=0;t(156);function vl(){this.a=25}m(157,217,{},vl);
_.Fb=function(a){var b,c;b=(a.offsetHeight||0)|0;if(0>=b)return 0;c=(a.offsetWidth||0)|0;a=0;b=c/b;1.4500000476837158<b&&1.7999999523162842>b?a=1:1.2999999523162842<b&&2.200000047683716>b&&(a=0.4000000059604645);return Va(this.a*a)};_.Hb=function(){return this.a};_.a=0;t(157);function wl(a){this.b=25;this.a=a}m(158,217,{},wl);
_.Fb=function(a){var b;if(!this.a)return 0;a=Jm(this.a).b.length-1-(Jm(Hm(this.a,a)).b.length-1);b=0;4>a?b=1:6>a?b=0.6000000238418579:8>a&&(b=0.20000000298023224);return Va(this.b*b)};_.Hb=function(){return this.b};_.b=0;t(158);function xl(){this.a=15}m(159,217,{},xl);_.Fb=function(a){var b;a=Jm(a);for(b=new M(a);b.b<b.d.J();)if(a=(y(b.b<b.d.J()),b.d.T(b.c=b.b++)),1==a.nodeType&&"FIGURE"===a.tagName)return this.a;return 0};_.Hb=function(){return this.a};_.a=0;t(159);var Zq,$r;$r=ib("I");$r.k="I";
$r.f=1;Zq=$r;t(198);t(200);t(null);t(203);tj=kb();_=function(a){var b=this;if("$wnd"==a)return $wnd;if(""===a)return b;"$wnd."==a.substring(0,5)&&(b=$wnd,a=a.substring(5));a=a.split(".");a[0]in b||!b.execScript||b.execScript("var "+a[0]);for(var c;a.length&&(c=a.shift());)b[c]?b=b[c]:b=b[c]={};return b}("org.chromium.distiller.DomDistiller");_.apply=function(){var a;return Lk((a={},a))};_.applyWithOptions=Lk;
function as(a){return function(){var b;a:{var c=arguments,d;0!=fc&&(d=Date.now?Date.now():(new Date).getTime(),2E3<d-hc&&(hc=d,gc=$wnd.setTimeout(ec,10)));if(0==fc++){d=(ic(),jc);var e,f;if(d.a){f=null;do e=d.a,d.a=null,f=Bc(e,f);while(d.a);d.a=f}d=!0}else d=!1;try{b=a.apply(this,c);break a}finally{if(c=d)if(d=(ic(),jc),d.b){f=null;do e=d.b,d.b=null,f=Bc(e,f);while(d.b);d.b=f}--fc;c&&-1!=gc&&($wnd.clearTimeout(gc),gc=-1)}b=void 0}return b}}
var gwtOnLoad=gwtOnLoad=function(a,b,c){function d(){for(var a=0;a<e.length;a++)e[a]()}null==oa&&(oa=[]);var e=oa;$moduleName=b;$moduleBase=c;if(a)try{as(d)()}catch(f){a(b,f)}else as(d)()};(function(){null==oa&&(oa=[]);for(var a=oa,b=0;b<arguments.length;b++)a.push(arguments[b])})(function(){$wnd.setTimeout(as(Oe));var a,b,c;b=$doc.compatMode;a=D(w(p,1),h,2,4,["CSS1Compat"]);for(c=0;c<a.length&&a[c]!==b;c++);});var bs=[[["locale","default"],["user.agent","safari"]]];
"object"===typeof window&&"object"===typeof window.$gwt&&(window.$gwt.permProps=bs);window.gwtOnLoad=gwtOnLoad;gwtOnLoad(undefined, "domdistiller", "", 0);})();
    }
    var context = Object.create(window);
    context.setTimeout = function() {};
    context.clearTimeout = function() {};
    initialize(context);

    var distiller = context.org.chromium.distiller.DomDistiller;
    var res = distiller.applyWithOptions(options);
    return res;
  } catch (e) {
    window.console.error("Error during distillation: " + e);
    if (e.stack != undefined) window.console.error(e.stack);
  }
  return undefined;
// The OPTIONS placeholder will be replaced with the DomDistillerOptions at
// runtime.
})($$OPTIONS)
